<?php
/**
 * 珑大极简商城
 * 
 *  ==========================================================================
 *  @link      https://shop.loongdom.cn/
 *  @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 *  @license   https://shop.loongdom.cn/license.html License
 *  ==========================================================================
 * 
 * @author    静静的风
 */


namespace Admin\Entity;

use Admin\Entity\BaseEntity as BaseEntity;
use Doctrine\ORM\Mapping as ORM;

/**
 * 管理员
 *
 * @ORM\Entity(repositoryClass="Admin\Repository\AdminRepository")
 * @ORM\Table(name="loongdom_admin")
 */
class Admin extends BaseEntity
{

    /**
     * 自增id
     *
     * @ORM\Id()
     * @ORM\Column(name="admin_id", type="integer", length=11)
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $adminId;

    /**
     * 管理员组id
     *
     * @ORM\Column(name="admin_group_id", type="integer", length=11)
     */
    private $adminGroupId;

    /**
     * 管理员名称
     *
     * @ORM\Column(name="admin_name", type="string", length=100)
     */
    private $adminName;

    /**
     * 管理员密码
     *
     * @ORM\Column(name="admin_passwd", type="string", length=72)
     */
    private $adminPasswd;

    /**
     * 管理员邮箱
     *
     * @ORM\Column(name="admin_email", type="string", length=100)
     */
    private $adminEmail;

    /**
     * 管理员状态 1 启用，2 禁用
     *
     * @ORM\Column(name="admin_state", type="integer", length=2)
     */
    private $adminState;

    /**
     * 添加时间
     *
     * @ORM\Column(name="admin_add_time", type="integer", length=10)
     */
    private $adminAddTime;

    /**
     * 原登录时间
     *
     * @ORM\Column(name="admin_old_login_time", type="integer", length=10)
     */
    private $adminOldLoginTime;

    /**
     * 新登录时间
     *
     * @ORM\Column(name="admin_new_login_time", type="integer", length=10)
     */
    private $adminNewLoginTime;

    /**
     * @ORM\ManyToOne(targetEntity="Admin\Entity\AdminGroup", inversedBy="users")
     * @ORM\JoinColumn(name="admin_group_id", referencedColumnName="admin_group_id")
     *
     */
    private $group;

    /**
     * @return mixed
     */
    public function getGroup()
    {
        return $this->group;
    }

    /**
     * @param mixed $group
     */
    public function setGroup(AdminGroup $group)
    {
        $group->addUsers($this);
        $this->group = $group;
    }

    /**
     * Get the value of 自增id
     *
     * @return mixed
     */
    public function getAdminId()
    {
        return $this->adminId;
    }

    /**
     * Set the value of 自增id
     *
     * @param mixed $adminId
     */
    public function setAdminId($adminId) : void
    {
        $this->adminId = $adminId;
    }

    /**
     * Get the value of 管理员组id
     *
     * @return mixed
     */
    public function getAdminGroupId()
    {
        return $this->adminGroupId;
    }

    /**
     * Set the value of 管理员组id
     *
     * @param mixed $adminGroupId
     */
    public function setAdminGroupId($adminGroupId) : void
    {
        $this->adminGroupId = $adminGroupId;
    }

    /**
     * Get the value of 管理员名称
     *
     * @return mixed
     */
    public function getAdminName()
    {
        return $this->adminName;
    }

    /**
     * Set the value of 管理员名称
     *
     * @param mixed $adminName
     */
    public function setAdminName($adminName) : void
    {
        $this->adminName = $adminName;
    }

    /**
     * Get the value of 管理员密码
     *
     * @return mixed
     */
    public function getAdminPasswd()
    {
        return $this->adminPasswd;
    }

    /**
     * Set the value of 管理员密码
     *
     * @param mixed $adminPasswd
     */
    public function setAdminPasswd($adminPasswd) : void
    {
        $this->adminPasswd = $adminPasswd;
    }

    /**
     * Get the value of 管理员邮箱
     *
     * @return mixed
     */
    public function getAdminEmail()
    {
        return $this->adminEmail;
    }

    /**
     * Set the value of 管理员邮箱
     *
     * @param mixed $adminEmail
     */
    public function setAdminEmail($adminEmail) : void
    {
        $this->adminEmail = $adminEmail;
    }

    /**
     * Get the value of 管理员状态 1 启用，2 禁用
     *
     * @return mixed
     */
    public function getAdminState()
    {
        return $this->adminState;
    }

    /**
     * Set the value of 管理员状态 1 启用，2 禁用
     *
     * @param mixed $adminState
     */
    public function setAdminState($adminState) : void
    {
        $this->adminState = $adminState;
    }

    /**
     * Get the value of 添加时间
     *
     * @return mixed
     */
    public function getAdminAddTime()
    {
        return $this->adminAddTime;
    }

    /**
     * Set the value of 添加时间
     *
     * @param mixed $adminAddTime
     */
    public function setAdminAddTime($adminAddTime) : void
    {
        $this->adminAddTime = $adminAddTime;
    }

    /**
     * Get the value of 原登录时间
     *
     * @return mixed
     */
    public function getAdminOldLoginTime()
    {
        return $this->adminOldLoginTime;
    }

    /**
     * Set the value of 原登录时间
     *
     * @param mixed $adminOldLoginTime
     */
    public function setAdminOldLoginTime($adminOldLoginTime) : void
    {
        $this->adminOldLoginTime = $adminOldLoginTime;
    }

    /**
     * Get the value of 新登录时间
     *
     * @return mixed
     */
    public function getAdminNewLoginTime()
    {
        return $this->adminNewLoginTime;
    }

    /**
     * Set the value of 新登录时间
     *
     * @param mixed $adminNewLoginTime
     */
    public function setAdminNewLoginTime($adminNewLoginTime) : void
    {
        $this->adminNewLoginTime = $adminNewLoginTime;
    }


}

