<?php
/**
 * 珑大极简商城
 * 
 *  ==========================================================================
 *  @link      https://shop.loongdom.cn/
 *  @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 *  @license   https://shop.loongdom.cn/license.html License
 *  ==========================================================================
 * 
 * @author    静静的风
 */


namespace Admin\Entity;

use Admin\Entity\BaseEntity as BaseEntity;
use Doctrine\Common\Collections\ArrayCollection;
use Doctrine\ORM\Mapping as ORM;

/**
 * 管理员组
 *
 * @ORM\Entity(repositoryClass="Admin\Repository\AdminGroupRepository")
 * @ORM\Table(name="loongdom_admin_group")
 */
class AdminGroup extends BaseEntity
{

    /**
     * 自增id
     *
     * @ORM\Id()
     * @ORM\Column(name="admin_group_id", type="integer", length=11)
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $adminGroupId;

    /**
     * 管理员组名称
     *
     * @ORM\Column(name="admin_group_name", type="string", length=200)
     */
    private $adminGroupName;

    /**
     * 权限信息
     *
     * @ORM\Column(name="admin_group_purview", type="text")
     */
    private $adminGroupPurview;

    /**
     * @ORM\OneToMany(targetEntity="Admin\Entity\Admin", mappedBy="group")
     * @ORM\JoinColumn(name="admin_group_id", referencedColumnName="admin_group_id")
     * @var
     */
    private $users;

    public function __construct()
    {
        $this->users = new ArrayCollection();
    }

    public function addUsers($user)
    {
        $this->users[] = $user;
    }

    /**
     * Get the value of 自增id
     *
     * @return mixed
     */
    public function getAdminGroupId()
    {
        return $this->adminGroupId;
    }

    /**
     * Set the value of 自增id
     *
     * @param mixed $adminGroupId
     */
    public function setAdminGroupId($adminGroupId) : void
    {
        $this->adminGroupId = $adminGroupId;
    }

    /**
     * Get the value of 管理员组名称
     *
     * @return mixed
     */
    public function getAdminGroupName()
    {
        return $this->adminGroupName;
    }

    /**
     * Set the value of 管理员组名称
     *
     * @param mixed $adminGroupName
     */
    public function setAdminGroupName($adminGroupName) : void
    {
        $this->adminGroupName = $adminGroupName;
    }

    /**
     * Get the value of 权限信息
     *
     * @return mixed
     */
    public function getAdminGroupPurview()
    {
        return $this->adminGroupPurview;
    }

    /**
     * Set the value of 权限信息
     *
     * @param mixed $adminGroupPurview
     */
    public function setAdminGroupPurview($adminGroupPurview) : void
    {
        $this->adminGroupPurview = $adminGroupPurview;
    }


}

