<?php
/**
 * 珑大极简商城
 *
 * ==========================================================================
 * @link      https://shop.loongdom.cn/
 * @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 * @license   https://shop.loongdom.cn/license.html License
 * ==========================================================================
 *
 * @author    静静的风 <baron@loongdom.cn>
 *
 */

namespace Admin\Entity;

use Laminas\Hydrator\ReflectionHydrator;

class BaseEntity
{
    /**
     * 将对象数值转换为数组
     * @return array|mixed[]
     */
    public function valuesArray()
    {
        $reflect = new ReflectionHydrator();
        return $reflect->extract($this);
    }

    /**
     * 设置属性赋值
     * @param array $data
     * @return $this
     */
    public function valuesSet(array $data)
    {
        if(!empty($data)) {
            foreach ($data as $key => $value) {
                $setFun = 'set'.ucfirst($key);
                if(is_callable([$this, $setFun])) {
                    $this->$setFun($value);
                }
            }
        }
        return $this;
    }
}