<?php
/**
 * 珑大极简商城
 * 
 *  ==========================================================================
 *  @link      https://shop.loongdom.cn/
 *  @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 *  @license   https://shop.loongdom.cn/license.html License
 *  ==========================================================================
 * 
 * @author    静静的风
 */


namespace Admin\Entity;

use Admin\Entity\BaseEntity as BaseEntity;
use Doctrine\ORM\Mapping as ORM;

/**
 * 配送方式
 *
 * @ORM\Entity(repositoryClass="Admin\Repository\DeliveryRepository")
 * @ORM\Table(name="loongdom_delivery")
 */
class Delivery extends BaseEntity
{

    /**
     * 自增id
     *
     * @ORM\Id()
     * @ORM\Column(name="delivery_id", type="integer", length=11)
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $deliveryId;

    /**
     * 配送名称
     *
     * @ORM\Column(name="delivery_name", type="string", length=200)
     */
    private $deliveryName;

    /**
     * 编码
     *
     * @ORM\Column(name="delivery_name_code", type="string", length=30)
     */
    private $deliveryNameCode;

    /**
     * 描述说明
     *
     * @ORM\Column(name="delivery_info", type="string", length=1000)
     */
    private $deliveryInfo;

    /**
     * 配送官网
     *
     * @ORM\Column(name="delivery_url", type="string", length=100)
     */
    private $deliveryUrl;

    /**
     * 排序
     *
     * @ORM\Column(name="delivery_sort", type="integer", length=11)
     */
    private $deliverySort;

    /**
     * 状态，1启用，2 禁用
     *
     * @ORM\Column(name="delivery_state", type="integer", length=1)
     */
    private $deliveryState;

    /**
     * 货到付款，1 支持，2 不支持
     *
     * @ORM\Column(name="cash_on_delivery", type="integer", length=1)
     */
    private $cashOnDelivery;

    /**
     * Get the value of 自增id
     *
     * @return mixed
     */
    public function getDeliveryId()
    {
        return $this->deliveryId;
    }

    /**
     * Set the value of 自增id
     *
     * @param mixed $deliveryId
     */
    public function setDeliveryId($deliveryId) : void
    {
        $this->deliveryId = $deliveryId;
    }

    /**
     * Get the value of 配送名称
     *
     * @return mixed
     */
    public function getDeliveryName()
    {
        return $this->deliveryName;
    }

    /**
     * Set the value of 配送名称
     *
     * @param mixed $deliveryName
     */
    public function setDeliveryName($deliveryName) : void
    {
        $this->deliveryName = $deliveryName;
    }

    /**
     * Get the value of 编码
     *
     * @return mixed
     */
    public function getDeliveryNameCode()
    {
        return $this->deliveryNameCode;
    }

    /**
     * Set the value of 编码
     *
     * @param mixed $deliveryNameCode
     */
    public function setDeliveryNameCode($deliveryNameCode) : void
    {
        $this->deliveryNameCode = $deliveryNameCode;
    }

    /**
     * Get the value of 描述说明
     *
     * @return mixed
     */
    public function getDeliveryInfo()
    {
        return $this->deliveryInfo;
    }

    /**
     * Set the value of 描述说明
     *
     * @param mixed $deliveryInfo
     */
    public function setDeliveryInfo($deliveryInfo) : void
    {
        $this->deliveryInfo = $deliveryInfo;
    }

    /**
     * Get the value of 配送官网
     *
     * @return mixed
     */
    public function getDeliveryUrl()
    {
        return $this->deliveryUrl;
    }

    /**
     * Set the value of 配送官网
     *
     * @param mixed $deliveryUrl
     */
    public function setDeliveryUrl($deliveryUrl) : void
    {
        $this->deliveryUrl = $deliveryUrl;
    }

    /**
     * Get the value of 排序
     *
     * @return mixed
     */
    public function getDeliverySort()
    {
        return $this->deliverySort;
    }

    /**
     * Set the value of 排序
     *
     * @param mixed $deliverySort
     */
    public function setDeliverySort($deliverySort) : void
    {
        $this->deliverySort = $deliverySort;
    }

    /**
     * Get the value of 状态，1启用，2 禁用
     *
     * @return mixed
     */
    public function getDeliveryState()
    {
        return $this->deliveryState;
    }

    /**
     * Set the value of 状态，1启用，2 禁用
     *
     * @param mixed $deliveryState
     */
    public function setDeliveryState($deliveryState) : void
    {
        $this->deliveryState = $deliveryState;
    }

    /**
     * Get the value of 货到付款，1 支持，2 不支持
     *
     * @return mixed
     */
    public function getCashOnDelivery()
    {
        return $this->cashOnDelivery;
    }

    /**
     * Set the value of 货到付款，1 支持，2 不支持
     *
     * @param mixed $cashOnDelivery
     */
    public function setCashOnDelivery($cashOnDelivery) : void
    {
        $this->cashOnDelivery = $cashOnDelivery;
    }


}

