<?php
/**
 * 珑大极简商城
 * 
 *  ==========================================================================
 *  @link      https://shop.loongdom.cn/
 *  @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 *  @license   https://shop.loongdom.cn/license.html License
 *  ==========================================================================
 * 
 * @author    静静的风
 */


namespace Admin\Entity;

use Admin\Entity\BaseEntity as BaseEntity;
use Doctrine\ORM\Mapping as ORM;

/**
 * 操作历史
 *
 * @ORM\Entity(repositoryClass="Admin\Repository\LogRepository")
 * @ORM\Table(name="loongdom_log")
 */
class Log extends BaseEntity
{

    /**
     * 自增id
     *
     * @ORM\Id()
     * @ORM\Column(name="log_id", type="integer", length=11)
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $logId;

    /**
     * 操作者
     *
     * @ORM\Column(name="log_oper_user", type="string", length=100)
     */
    private $logOperUser;

    /**
     * 所在管理员组
     *
     * @ORM\Column(name="log_oper_user_group", type="string", length=100)
     */
    private $logOperUserGroup;

    /**
     * 操作时间
     *
     * @ORM\Column(name="log_time", type="integer", length=10)
     */
    private $logTime;

    /**
     * ip地址
     *
     * @ORM\Column(name="log_ip", type="string", length=50)
     */
    private $logIp;

    /**
     * 操作说明
     *
     * @ORM\Column(name="log_body", type="string", length=2000)
     */
    private $logBody;

    /**
     * Get the value of 自增id
     *
     * @return mixed
     */
    public function getLogId()
    {
        return $this->logId;
    }

    /**
     * Set the value of 自增id
     *
     * @param mixed $logId
     */
    public function setLogId($logId) : void
    {
        $this->logId = $logId;
    }

    /**
     * Get the value of 操作者
     *
     * @return mixed
     */
    public function getLogOperUser()
    {
        return $this->logOperUser;
    }

    /**
     * Set the value of 操作者
     *
     * @param mixed $logOperUser
     */
    public function setLogOperUser($logOperUser) : void
    {
        $this->logOperUser = $logOperUser;
    }

    /**
     * Get the value of 所在管理员组
     *
     * @return mixed
     */
    public function getLogOperUserGroup()
    {
        return $this->logOperUserGroup;
    }

    /**
     * Set the value of 所在管理员组
     *
     * @param mixed $logOperUserGroup
     */
    public function setLogOperUserGroup($logOperUserGroup) : void
    {
        $this->logOperUserGroup = $logOperUserGroup;
    }

    /**
     * Get the value of 操作时间
     *
     * @return mixed
     */
    public function getLogTime()
    {
        return $this->logTime;
    }

    /**
     * Set the value of 操作时间
     *
     * @param mixed $logTime
     */
    public function setLogTime($logTime) : void
    {
        $this->logTime = $logTime;
    }

    /**
     * Get the value of ip地址
     *
     * @return mixed
     */
    public function getLogIp()
    {
        return $this->logIp;
    }

    /**
     * Set the value of ip地址
     *
     * @param mixed $logIp
     */
    public function setLogIp($logIp) : void
    {
        $this->logIp = $logIp;
    }

    /**
     * Get the value of 操作说明
     *
     * @return mixed
     */
    public function getLogBody()
    {
        return $this->logBody;
    }

    /**
     * Set the value of 操作说明
     *
     * @param mixed $logBody
     */
    public function setLogBody($logBody) : void
    {
        $this->logBody = $logBody;
    }


}

