<?php
/**
 * 珑大极简商城
 * 
 *  ==========================================================================
 *  @link      https://shop.loongdom.cn/
 *  @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 *  @license   https://shop.loongdom.cn/license.html License
 *  ==========================================================================
 * 
 * @author    静静的风
 */


namespace Admin\Entity;

use Admin\Entity\BaseEntity as BaseEntity;
use Doctrine\ORM\Mapping as ORM;

/**
 * 地区
 *
 * @ORM\Entity(repositoryClass="Admin\Repository\RegionRepository")
 * @ORM\Table(name="loongdom_region")
 */
class Region extends BaseEntity
{

    /**
     * 自增id
     *
     * @ORM\Id()
     * @ORM\Column(name="region_id", type="integer", length=11)
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $regionId;

    /**
     * 地区名称
     *
     * @ORM\Column(name="region_name", type="string", length=50)
     */
    private $regionName;

    /**
     * 上级id
     *
     * @ORM\Column(name="region_top_id", type="integer", length=11)
     */
    private $regionTopId;

    /**
     * 排序
     *
     * @ORM\Column(name="region_sort", type="integer", length=11)
     */
    private $regionSort = 255;

    /**
     * 步长
     *
     * @ORM\Column(name="region_path", type="string", length=100)
     */
    private $regionPath;

    /**
     * Get the value of 自增id
     *
     * @return mixed
     */
    public function getRegionId()
    {
        return $this->regionId;
    }

    /**
     * Set the value of 自增id
     *
     * @param mixed $regionId
     */
    public function setRegionId($regionId) : void
    {
        $this->regionId = $regionId;
    }

    /**
     * Get the value of 地区名称
     *
     * @return mixed
     */
    public function getRegionName()
    {
        return $this->regionName;
    }

    /**
     * Set the value of 地区名称
     *
     * @param mixed $regionName
     */
    public function setRegionName($regionName) : void
    {
        $this->regionName = $regionName;
    }

    /**
     * Get the value of 上级id
     *
     * @return mixed
     */
    public function getRegionTopId()
    {
        return $this->regionTopId;
    }

    /**
     * Set the value of 上级id
     *
     * @param mixed $regionTopId
     */
    public function setRegionTopId($regionTopId) : void
    {
        $this->regionTopId = $regionTopId;
    }

    /**
     * Get the value of 排序
     *
     * @return mixed
     */
    public function getRegionSort()
    {
        return $this->regionSort;
    }

    /**
     * Set the value of 排序
     *
     * @param mixed $regionSort
     */
    public function setRegionSort($regionSort) : void
    {
        $this->regionSort = $regionSort;
    }

    /**
     * Get the value of 步长
     *
     * @return mixed
     */
    public function getRegionPath()
    {
        return $this->regionPath;
    }

    /**
     * Set the value of 步长
     *
     * @param mixed $regionPath
     */
    public function setRegionPath($regionPath) : void
    {
        $this->regionPath = $regionPath;
    }


}

