<?php
/**
 * 珑大极简商城
 * 
 *  ==========================================================================
 *  @link      https://shop.loongdom.cn/
 *  @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 *  @license   https://shop.loongdom.cn/license.html License
 *  ==========================================================================
 * 
 * @author    静静的风
 */


namespace Admin\Entity;

use Admin\Entity\BaseEntity as BaseEntity;
use Doctrine\ORM\Mapping as ORM;

/**
 * 系统配置
 *
 * @ORM\Entity(repositoryClass="Admin\Repository\SystemRepository")
 * @ORM\Table(name="loongdom_system")
 */
class System extends BaseEntity
{

    /**
     * 自增id
     *
     * @ORM\Id()
     * @ORM\Column(name="sys_id", type="integer", length=11)
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $sysId;

    /**
     * 配置标记
     *
     * @ORM\Column(name="sys_name", type="string", length=30)
     */
    private $sysName;

    /**
     * 配置内容
     *
     * @ORM\Column(name="sys_body", type="text")
     */
    private $sysBody;

    /**
     * 配置类型
     *
     * @ORM\Column(name="sys_type", type="string", length=15)
     */
    private $sysType;

    /**
     * Get the value of 自增id
     *
     * @return mixed
     */
    public function getSysId()
    {
        return $this->sysId;
    }

    /**
     * Set the value of 自增id
     *
     * @param mixed $sysId
     */
    public function setSysId($sysId) : void
    {
        $this->sysId = $sysId;
    }

    /**
     * Get the value of 配置标记
     *
     * @return mixed
     */
    public function getSysName()
    {
        return $this->sysName;
    }

    /**
     * Set the value of 配置标记
     *
     * @param mixed $sysName
     */
    public function setSysName($sysName) : void
    {
        $this->sysName = $sysName;
    }

    /**
     * Get the value of 配置内容
     *
     * @return mixed
     */
    public function getSysBody()
    {
        return $this->sysBody;
    }

    /**
     * Set the value of 配置内容
     *
     * @param mixed $sysBody
     */
    public function setSysBody($sysBody) : void
    {
        $this->sysBody = $sysBody;
    }

    /**
     * Get the value of 配置类型
     *
     * @return mixed
     */
    public function getSysType()
    {
        return $this->sysType;
    }

    /**
     * Set the value of 配置类型
     *
     * @param mixed $sysType
     */
    public function setSysType($sysType) : void
    {
        $this->sysType = $sysType;
    }


}

