<?php
/**
 * 珑大极简商城
 * 
 *  ==========================================================================
 *  @link      https://shop.loongdom.cn/
 *  @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 *  @license   https://shop.loongdom.cn/license.html License
 *  ==========================================================================
 * 
 * @author    静静的风
 */


namespace Admin\Entity;

use Admin\Entity\BaseEntity as BaseEntity;
use Doctrine\ORM\Mapping as ORM;

/**
 * 模板表
 *
 * @ORM\Entity(repositoryClass="Admin\Repository\TemplateRepository")
 * @ORM\Table(name="loongdom_template")
 */
class Template extends BaseEntity
{

    /**
     * 自增id
     *
     * @ORM\Id()
     * @ORM\Column(name="template_id", type="integer", length=11)
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $templateId;

    /**
     * 模板名称
     *
     * @ORM\Column(name="template_name", type="string", length=50)
     */
    private $templateName;

    /**
     * 模板编码
     *
     * @ORM\Column(name="template_code", type="string", length=50)
     */
    private $templateCode;

    /**
     * 模板语言
     *
     * @ORM\Column(name="template_language", type="string", length=200)
     */
    private $templateLanguage;

    /**
     * 模板说明
     *
     * @ORM\Column(name="template_info", type="string", length=200)
     */
    private $templateInfo;

    /**
     * 模板版本号
     *
     * @ORM\Column(name="template_version_number", type="integer", length=11)
     */
    private $templateVersionNumber;

    /**
     * 模板类型
     *
     * @ORM\Column(name="template_type", type="string", length=15)
     */
    private $templateType;

    /**
     * 是否支持自适应 1 支持，0 不支持
     *
     * @ORM\Column(name="template_adaptive", type="integer", length=1)
     */
    private $templateAdaptive;

    /**
     * Get the value of 自增id
     *
     * @return mixed
     */
    public function getTemplateId()
    {
        return $this->templateId;
    }

    /**
     * Set the value of 自增id
     *
     * @param mixed $templateId
     */
    public function setTemplateId($templateId) : void
    {
        $this->templateId = $templateId;
    }

    /**
     * Get the value of 模板名称
     *
     * @return mixed
     */
    public function getTemplateName()
    {
        return $this->templateName;
    }

    /**
     * Set the value of 模板名称
     *
     * @param mixed $templateName
     */
    public function setTemplateName($templateName) : void
    {
        $this->templateName = $templateName;
    }

    /**
     * Get the value of 模板编码
     *
     * @return mixed
     */
    public function getTemplateCode()
    {
        return $this->templateCode;
    }

    /**
     * Set the value of 模板编码
     *
     * @param mixed $templateCode
     */
    public function setTemplateCode($templateCode) : void
    {
        $this->templateCode = $templateCode;
    }

    /**
     * Get the value of 模板语言
     *
     * @return mixed
     */
    public function getTemplateLanguage()
    {
        return $this->templateLanguage;
    }

    /**
     * Set the value of 模板语言
     *
     * @param mixed $templateLanguage
     */
    public function setTemplateLanguage($templateLanguage) : void
    {
        $this->templateLanguage = $templateLanguage;
    }

    /**
     * Get the value of 模板说明
     *
     * @return mixed
     */
    public function getTemplateInfo()
    {
        return $this->templateInfo;
    }

    /**
     * Set the value of 模板说明
     *
     * @param mixed $templateInfo
     */
    public function setTemplateInfo($templateInfo) : void
    {
        $this->templateInfo = $templateInfo;
    }

    /**
     * Get the value of 模板版本号
     *
     * @return mixed
     */
    public function getTemplateVersionNumber()
    {
        return $this->templateVersionNumber;
    }

    /**
     * Set the value of 模板版本号
     *
     * @param mixed $templateVersionNumber
     */
    public function setTemplateVersionNumber($templateVersionNumber) : void
    {
        $this->templateVersionNumber = $templateVersionNumber;
    }

    /**
     * Get the value of 模板类型
     *
     * @return mixed
     */
    public function getTemplateType()
    {
        return $this->templateType;
    }

    /**
     * Set the value of 模板类型
     *
     * @param mixed $templateType
     */
    public function setTemplateType($templateType) : void
    {
        $this->templateType = $templateType;
    }

    /**
     * Get the value of 是否支持自适应 1 支持，0 不支持
     *
     * @return mixed
     */
    public function getTemplateAdaptive()
    {
        return $this->templateAdaptive;
    }

    /**
     * Set the value of 是否支持自适应 1 支持，0 不支持
     *
     * @param mixed $templateAdaptive
     */
    public function setTemplateAdaptive($templateAdaptive) : void
    {
        $this->templateAdaptive = $templateAdaptive;
    }


}

