<?php
/**
 * 珑大极简商城
 * 
 *  ==========================================================================
 *  @link      https://shop.loongdom.cn/
 *  @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 *  @license   https://shop.loongdom.cn/license.html License
 *  ==========================================================================
 * 
 * @author    静静的风
 */


namespace Cms\Entity;

use Admin\Entity\BaseEntity as BaseEntity;
use Doctrine\ORM\Mapping as ORM;

/**
 * 文章表
 *
 * @ORM\Entity(repositoryClass="Cms\Repository\CmsRepository")
 * @ORM\Table(name="loongdom_cms")
 */
class Cms extends BaseEntity
{

    /**
     * 文章自增id
     *
     * @ORM\Id()
     * @ORM\Column(name="cms_id", type="integer", length=11)
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $cmsId;

    /**
     * 文章分类
     *
     * @ORM\Column(name="cms_class_id", type="integer", length=11)
     */
    private $cmsClassId;

    /**
     * 文章作者
     *
     * @ORM\Column(name="cms_writer", type="string", length=100)
     */
    private $cmsWriter;

    /**
     * 跳转URL
     *
     * @ORM\Column(name="cms_url", type="string", length=300)
     */
    private $cmsUrl;

    /**
     * 封面图片
     *
     * @ORM\Column(name="cms_cover_image", type="string", length=200)
     */
    private $cmsCoverImage;

    /**
     * 文章标题
     *
     * @ORM\Column(name="cms_title", type="string", length=200)
     */
    private $cmsTitle;

    /**
     * 文章内容
     *
     * @ORM\Column(name="cms_body", type="text")
     */
    private $cmsBody;

    /**
     * 文章扩展标题
     *
     * @ORM\Column(name="cms_extend_title", type="string", length=200)
     */
    private $cmsExtendTitle;

    /**
     * 文章关键字
     *
     * @ORM\Column(name="cms_keywords", type="string", length=200)
     */
    private $cmsKeywords;

    /**
     * 文章描述
     *
     * @ORM\Column(name="cms_description", type="string", length=500)
     */
    private $cmsDescription;

    /**
     * 文章状态，0 禁用 1 启用
     *
     * @ORM\Column(name="cms_state", type="integer", length=1)
     */
    private $cmsState;

    /**
     * 文章排序，默认 255
     *
     * @ORM\Column(name="cms_sort", type="integer", length=11)
     */
    private $cmsSort;

    /**
     * 文章添加时间
     *
     * @ORM\Column(name="cms_add_time", type="integer", length=10)
     */
    private $cmsAddTime;

    /**
     * Get the value of 文章自增id
     *
     * @return mixed
     */
    public function getCmsId()
    {
        return $this->cmsId;
    }

    /**
     * Set the value of 文章自增id
     *
     * @param mixed $cmsId
     */
    public function setCmsId($cmsId) : void
    {
        $this->cmsId = $cmsId;
    }

    /**
     * Get the value of 文章分类
     *
     * @return mixed
     */
    public function getCmsClassId()
    {
        return $this->cmsClassId;
    }

    /**
     * Set the value of 文章分类
     *
     * @param mixed $cmsClassId
     */
    public function setCmsClassId($cmsClassId) : void
    {
        $this->cmsClassId = $cmsClassId;
    }

    /**
     * Get the value of 文章作者
     *
     * @return mixed
     */
    public function getCmsWriter()
    {
        return $this->cmsWriter;
    }

    /**
     * Set the value of 文章作者
     *
     * @param mixed $cmsWriter
     */
    public function setCmsWriter($cmsWriter) : void
    {
        $this->cmsWriter = $cmsWriter;
    }

    /**
     * Get the value of 跳转URL
     *
     * @return mixed
     */
    public function getCmsUrl()
    {
        return $this->cmsUrl;
    }

    /**
     * Set the value of 跳转URL
     *
     * @param mixed $cmsUrl
     */
    public function setCmsUrl($cmsUrl) : void
    {
        $this->cmsUrl = $cmsUrl;
    }

    /**
     * Get the value of 封面图片
     *
     * @return mixed
     */
    public function getCmsCoverImage()
    {
        return $this->cmsCoverImage;
    }

    /**
     * Set the value of 封面图片
     *
     * @param mixed $cmsCoverImage
     */
    public function setCmsCoverImage($cmsCoverImage) : void
    {
        $this->cmsCoverImage = $cmsCoverImage;
    }

    /**
     * Get the value of 文章标题
     *
     * @return mixed
     */
    public function getCmsTitle()
    {
        return $this->cmsTitle;
    }

    /**
     * Set the value of 文章标题
     *
     * @param mixed $cmsTitle
     */
    public function setCmsTitle($cmsTitle) : void
    {
        $this->cmsTitle = $cmsTitle;
    }

    /**
     * Get the value of 文章内容
     *
     * @return mixed
     */
    public function getCmsBody()
    {
        return $this->cmsBody;
    }

    /**
     * Set the value of 文章内容
     *
     * @param mixed $cmsBody
     */
    public function setCmsBody($cmsBody) : void
    {
        $this->cmsBody = $cmsBody;
    }

    /**
     * Get the value of 文章扩展标题
     *
     * @return mixed
     */
    public function getCmsExtendTitle()
    {
        return $this->cmsExtendTitle;
    }

    /**
     * Set the value of 文章扩展标题
     *
     * @param mixed $cmsExtendTitle
     */
    public function setCmsExtendTitle($cmsExtendTitle) : void
    {
        $this->cmsExtendTitle = $cmsExtendTitle;
    }

    /**
     * Get the value of 文章关键字
     *
     * @return mixed
     */
    public function getCmsKeywords()
    {
        return $this->cmsKeywords;
    }

    /**
     * Set the value of 文章关键字
     *
     * @param mixed $cmsKeywords
     */
    public function setCmsKeywords($cmsKeywords) : void
    {
        $this->cmsKeywords = $cmsKeywords;
    }

    /**
     * Get the value of 文章描述
     *
     * @return mixed
     */
    public function getCmsDescription()
    {
        return $this->cmsDescription;
    }

    /**
     * Set the value of 文章描述
     *
     * @param mixed $cmsDescription
     */
    public function setCmsDescription($cmsDescription) : void
    {
        $this->cmsDescription = $cmsDescription;
    }

    /**
     * Get the value of 文章状态，0 禁用 1 启用
     *
     * @return mixed
     */
    public function getCmsState()
    {
        return $this->cmsState;
    }

    /**
     * Set the value of 文章状态，0 禁用 1 启用
     *
     * @param mixed $cmsState
     */
    public function setCmsState($cmsState) : void
    {
        $this->cmsState = $cmsState;
    }

    /**
     * Get the value of 文章排序，默认 255
     *
     * @return mixed
     */
    public function getCmsSort()
    {
        return $this->cmsSort;
    }

    /**
     * Set the value of 文章排序，默认 255
     *
     * @param mixed $cmsSort
     */
    public function setCmsSort($cmsSort) : void
    {
        $this->cmsSort = $cmsSort;
    }

    /**
     * Get the value of 文章添加时间
     *
     * @return mixed
     */
    public function getCmsAddTime()
    {
        return $this->cmsAddTime;
    }

    /**
     * Set the value of 文章添加时间
     *
     * @param mixed $cmsAddTime
     */
    public function setCmsAddTime($cmsAddTime) : void
    {
        $this->cmsAddTime = $cmsAddTime;
    }


}

