<?php
/**
 * 珑大极简商城
 * 
 *  ==========================================================================
 *  @link      https://shop.loongdom.cn/
 *  @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 *  @license   https://shop.loongdom.cn/license.html License
 *  ==========================================================================
 * 
 * @author    静静的风
 */


namespace Cms\Entity;

use Admin\Entity\BaseEntity as BaseEntity;
use Doctrine\ORM\Mapping as ORM;

/**
 * 文章分类
 *
 * @ORM\Entity(repositoryClass="Cms\Repository\CmsClassRepository")
 * @ORM\Table(name="loongdom_cms_class")
 */
class CmsClass extends BaseEntity
{

    /**
     * 文章分类自增id
     *
     * @ORM\Id()
     * @ORM\Column(name="cms_class_id", type="integer", length=11)
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $cmsClassId;

    /**
     * 文章分类上级分类，0 为顶级分类（文章分类只有二级）
     *
     * @ORM\Column(name="cms_class_top_id", type="integer", length=11)
     */
    private $cmsClassTopId;

    /**
     * 文章分类名称
     *
     * @ORM\Column(name="cms_class_name", type="string", length=200)
     */
    private $cmsClassName;

    /**
     * 文章分类状态 0 禁用，1 启用
     *
     * @ORM\Column(name="cms_class_state", type="integer", length=1)
     */
    private $cmsClassState;

    /**
     * 文章分类扩展名
     *
     * @ORM\Column(name="cms_class_extend_name", type="string", length=200)
     */
    private $cmsClassExtendName;

    /**
     * 文章分类关键字（SEO）
     *
     * @ORM\Column(name="cms_class_keywords", type="string", length=200)
     */
    private $cmsClassKeywords;

    /**
     * 章分类描述（SEO）
     *
     * @ORM\Column(name="cms_class_description", type="string", length=500)
     */
    private $cmsClassDescription;

    /**
     * 文章分类排序
     *
     * @ORM\Column(name="cms_class_sort", type="integer", length=11)
     */
    private $cmsClassSort;

    /**
     * Get the value of 文章分类自增id
     *
     * @return mixed
     */
    public function getCmsClassId()
    {
        return $this->cmsClassId;
    }

    /**
     * Set the value of 文章分类自增id
     *
     * @param mixed $cmsClassId
     */
    public function setCmsClassId($cmsClassId) : void
    {
        $this->cmsClassId = $cmsClassId;
    }

    /**
     * Get the value of 文章分类上级分类，0
     * 为顶级分类（文章分类只有二级）
     *
     * @return mixed
     */
    public function getCmsClassTopId()
    {
        return $this->cmsClassTopId;
    }

    /**
     * Set the value of 文章分类上级分类，0
     * 为顶级分类（文章分类只有二级）
     *
     * @param mixed $cmsClassTopId
     */
    public function setCmsClassTopId($cmsClassTopId) : void
    {
        $this->cmsClassTopId = $cmsClassTopId;
    }

    /**
     * Get the value of 文章分类名称
     *
     * @return mixed
     */
    public function getCmsClassName()
    {
        return $this->cmsClassName;
    }

    /**
     * Set the value of 文章分类名称
     *
     * @param mixed $cmsClassName
     */
    public function setCmsClassName($cmsClassName) : void
    {
        $this->cmsClassName = $cmsClassName;
    }

    /**
     * Get the value of 文章分类状态 0 禁用，1 启用
     *
     * @return mixed
     */
    public function getCmsClassState()
    {
        return $this->cmsClassState;
    }

    /**
     * Set the value of 文章分类状态 0 禁用，1 启用
     *
     * @param mixed $cmsClassState
     */
    public function setCmsClassState($cmsClassState) : void
    {
        $this->cmsClassState = $cmsClassState;
    }

    /**
     * Get the value of 文章分类扩展名
     *
     * @return mixed
     */
    public function getCmsClassExtendName()
    {
        return $this->cmsClassExtendName;
    }

    /**
     * Set the value of 文章分类扩展名
     *
     * @param mixed $cmsClassExtendName
     */
    public function setCmsClassExtendName($cmsClassExtendName) : void
    {
        $this->cmsClassExtendName = $cmsClassExtendName;
    }

    /**
     * Get the value of 文章分类关键字（SEO）
     *
     * @return mixed
     */
    public function getCmsClassKeywords()
    {
        return $this->cmsClassKeywords;
    }

    /**
     * Set the value of 文章分类关键字（SEO）
     *
     * @param mixed $cmsClassKeywords
     */
    public function setCmsClassKeywords($cmsClassKeywords) : void
    {
        $this->cmsClassKeywords = $cmsClassKeywords;
    }

    /**
     * Get the value of 章分类描述（SEO）
     *
     * @return mixed
     */
    public function getCmsClassDescription()
    {
        return $this->cmsClassDescription;
    }

    /**
     * Set the value of 章分类描述（SEO）
     *
     * @param mixed $cmsClassDescription
     */
    public function setCmsClassDescription($cmsClassDescription) : void
    {
        $this->cmsClassDescription = $cmsClassDescription;
    }

    /**
     * Get the value of 文章分类排序
     *
     * @return mixed
     */
    public function getCmsClassSort()
    {
        return $this->cmsClassSort;
    }

    /**
     * Set the value of 文章分类排序
     *
     * @param mixed $cmsClassSort
     */
    public function setCmsClassSort($cmsClassSort) : void
    {
        $this->cmsClassSort = $cmsClassSort;
    }


}

