<?php
/**
 * 珑大极简商城
 * 
 *  ==========================================================================
 *  @link      https://shop.loongdom.cn/
 *  @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 *  @license   https://shop.loongdom.cn/license.html License
 *  ==========================================================================
 * 
 * @author    静静的风
 */


namespace Cms\Entity;

use Admin\Entity\BaseEntity as BaseEntity;
use Doctrine\ORM\Mapping as ORM;

/**
 * 单页文章表
 *
 * @ORM\Entity(repositoryClass="Cms\Repository\SingleCmsRepository")
 * @ORM\Table(name="loongdom_single_cms")
 */
class SingleCms extends BaseEntity
{

    /**
     * 单页文章ID
     *
     * @ORM\Id()
     * @ORM\Column(name="single_cms_id", type="integer", length=11)
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $singleCmsId;

    /**
     * 单页文章标题
     *
     * @ORM\Column(name="single_cms_title", type="string", length=200)
     */
    private $singleCmsTitle;

    /**
     * 单页内容
     *
     * @ORM\Column(name="single_cms_body", type="text")
     */
    private $singleCmsBody;

    /**
     * 扩展标题
     *
     * @ORM\Column(name="single_cms_extend_title", type="string", length=200)
     */
    private $singleCmsExtendTitle;

    /**
     * 关键字
     *
     * @ORM\Column(name="single_cms_keywords", type="string", length=200)
     */
    private $singleCmsKeywords;

    /**
     * 描述
     *
     * @ORM\Column(name="single_cms_description", type="string", length=500)
     */
    private $singleCmsDescription;

    /**
     * 排序
     *
     * @ORM\Column(name="single_cms_sort", type="integer", length=11)
     */
    private $singleCmsSort;

    /**
     * 模板对应的标签code
     *
     * @ORM\Column(name="single_tag", type="string", length=50)
     */
    private $singleTag;

    /**
     * 模板的code名称
     *
     * @ORM\Column(name="template_code", type="string", length=50)
     */
    private $templateCode;

    /**
     * Get the value of 单页文章ID
     *
     * @return mixed
     */
    public function getSingleCmsId()
    {
        return $this->singleCmsId;
    }

    /**
     * Set the value of 单页文章ID
     *
     * @param mixed $singleCmsId
     */
    public function setSingleCmsId($singleCmsId) : void
    {
        $this->singleCmsId = $singleCmsId;
    }

    /**
     * Get the value of 单页文章标题
     *
     * @return mixed
     */
    public function getSingleCmsTitle()
    {
        return $this->singleCmsTitle;
    }

    /**
     * Set the value of 单页文章标题
     *
     * @param mixed $singleCmsTitle
     */
    public function setSingleCmsTitle($singleCmsTitle) : void
    {
        $this->singleCmsTitle = $singleCmsTitle;
    }

    /**
     * Get the value of 单页内容
     *
     * @return mixed
     */
    public function getSingleCmsBody()
    {
        return $this->singleCmsBody;
    }

    /**
     * Set the value of 单页内容
     *
     * @param mixed $singleCmsBody
     */
    public function setSingleCmsBody($singleCmsBody) : void
    {
        $this->singleCmsBody = $singleCmsBody;
    }

    /**
     * Get the value of 扩展标题
     *
     * @return mixed
     */
    public function getSingleCmsExtendTitle()
    {
        return $this->singleCmsExtendTitle;
    }

    /**
     * Set the value of 扩展标题
     *
     * @param mixed $singleCmsExtendTitle
     */
    public function setSingleCmsExtendTitle($singleCmsExtendTitle) : void
    {
        $this->singleCmsExtendTitle = $singleCmsExtendTitle;
    }

    /**
     * Get the value of 关键字
     *
     * @return mixed
     */
    public function getSingleCmsKeywords()
    {
        return $this->singleCmsKeywords;
    }

    /**
     * Set the value of 关键字
     *
     * @param mixed $singleCmsKeywords
     */
    public function setSingleCmsKeywords($singleCmsKeywords) : void
    {
        $this->singleCmsKeywords = $singleCmsKeywords;
    }

    /**
     * Get the value of 描述
     *
     * @return mixed
     */
    public function getSingleCmsDescription()
    {
        return $this->singleCmsDescription;
    }

    /**
     * Set the value of 描述
     *
     * @param mixed $singleCmsDescription
     */
    public function setSingleCmsDescription($singleCmsDescription) : void
    {
        $this->singleCmsDescription = $singleCmsDescription;
    }

    /**
     * Get the value of 排序
     *
     * @return mixed
     */
    public function getSingleCmsSort()
    {
        return $this->singleCmsSort;
    }

    /**
     * Set the value of 排序
     *
     * @param mixed $singleCmsSort
     */
    public function setSingleCmsSort($singleCmsSort) : void
    {
        $this->singleCmsSort = $singleCmsSort;
    }

    /**
     * Get the value of 模板对应的标签code
     *
     * @return mixed
     */
    public function getSingleTag()
    {
        return $this->singleTag;
    }

    /**
     * Set the value of 模板对应的标签code
     *
     * @param mixed $singleTag
     */
    public function setSingleTag($singleTag) : void
    {
        $this->singleTag = $singleTag;
    }

    /**
     * Get the value of 模板的code名称
     *
     * @return mixed
     */
    public function getTemplateCode()
    {
        return $this->templateCode;
    }

    /**
     * Set the value of 模板的code名称
     *
     * @param mixed $templateCode
     */
    public function setTemplateCode($templateCode) : void
    {
        $this->templateCode = $templateCode;
    }


}

