<?php
/**
 * 珑大极简商城
 * 
 *  ==========================================================================
 *  @link      https://shop.loongdom.cn/
 *  @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 *  @license   https://shop.loongdom.cn/license.html License
 *  ==========================================================================
 * 
 * @author    静静的风
 */


namespace Extend\Entity;

use Admin\Entity\BaseEntity as BaseEntity;
use Doctrine\ORM\Mapping as ORM;

/**
 * 前台导航
 *
 * @ORM\Entity(repositoryClass="Extend\Repository\NavigationRepository")
 * @ORM\Table(name="loongdom_navigation")
 */
class Navigation extends BaseEntity
{

    /**
     * 自增id
     *
     * @ORM\Id()
     * @ORM\Column(name="navigation_id", type="integer", length=11)
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $navigationId;

    /**
     * 导航标记，只有模板需要显示时，才起作用
     *
     * @ORM\Column(name="navigation_code", type="string", length=50)
     */
    private $navigationCode;

    /**
     * 导航标题
     *
     * @ORM\Column(name="navigation_title", type="string", length=200)
     */
    private $navigationTitle;

    /**
     * 导航Url
     *
     * @ORM\Column(name="navigation_url", type="string", length=500)
     */
    private $navigationUrl;

    /**
     * 导航位置，1 顶部、2 中部、3 底部
     *
     * @ORM\Column(name="navigation_place", type="integer", length=1)
     */
    private $navigationPlace;

    /**
     * 商品分类id
     *
     * @ORM\Column(name="goods_class_id", type="integer", length=11)
     */
    private $goodsClassId;

    /**
     * 是否新窗口打开，0 否，1 是
     *
     * @ORM\Column(name="new_window", type="integer", length=1)
     */
    private $newWindow;

    /**
     * 排序
     *
     * @ORM\Column(name="navigation_sort", type="integer", length=11)
     */
    private $navigationSort;

    /**
     * Get the value of 自增id
     *
     * @return mixed
     */
    public function getNavigationId()
    {
        return $this->navigationId;
    }

    /**
     * Set the value of 自增id
     *
     * @param mixed $navigationId
     */
    public function setNavigationId($navigationId) : void
    {
        $this->navigationId = $navigationId;
    }

    /**
     * Get the value of 导航标记，只有模板需要显示时，才起作用
     *
     * @return mixed
     */
    public function getNavigationCode()
    {
        return $this->navigationCode;
    }

    /**
     * Set the value of 导航标记，只有模板需要显示时，才起作用
     *
     * @param mixed $navigationCode
     */
    public function setNavigationCode($navigationCode) : void
    {
        $this->navigationCode = $navigationCode;
    }

    /**
     * Get the value of 导航标题
     *
     * @return mixed
     */
    public function getNavigationTitle()
    {
        return $this->navigationTitle;
    }

    /**
     * Set the value of 导航标题
     *
     * @param mixed $navigationTitle
     */
    public function setNavigationTitle($navigationTitle) : void
    {
        $this->navigationTitle = $navigationTitle;
    }

    /**
     * Get the value of 导航Url
     *
     * @return mixed
     */
    public function getNavigationUrl()
    {
        return $this->navigationUrl;
    }

    /**
     * Set the value of 导航Url
     *
     * @param mixed $navigationUrl
     */
    public function setNavigationUrl($navigationUrl) : void
    {
        $this->navigationUrl = $navigationUrl;
    }

    /**
     * Get the value of 导航位置，1 顶部、2 中部、3 底部
     *
     * @return mixed
     */
    public function getNavigationPlace()
    {
        return $this->navigationPlace;
    }

    /**
     * Set the value of 导航位置，1 顶部、2 中部、3 底部
     *
     * @param mixed $navigationPlace
     */
    public function setNavigationPlace($navigationPlace) : void
    {
        $this->navigationPlace = $navigationPlace;
    }

    /**
     * Get the value of 商品分类id
     *
     * @return mixed
     */
    public function getGoodsClassId()
    {
        return $this->goodsClassId;
    }

    /**
     * Set the value of 商品分类id
     *
     * @param mixed $goodsClassId
     */
    public function setGoodsClassId($goodsClassId) : void
    {
        $this->goodsClassId = $goodsClassId;
    }

    /**
     * Get the value of 是否新窗口打开，0 否，1 是
     *
     * @return mixed
     */
    public function getNewWindow()
    {
        return $this->newWindow;
    }

    /**
     * Set the value of 是否新窗口打开，0 否，1 是
     *
     * @param mixed $newWindow
     */
    public function setNewWindow($newWindow) : void
    {
        $this->newWindow = $newWindow;
    }

    /**
     * Get the value of 排序
     *
     * @return mixed
     */
    public function getNavigationSort()
    {
        return $this->navigationSort;
    }

    /**
     * Set the value of 排序
     *
     * @param mixed $navigationSort
     */
    public function setNavigationSort($navigationSort) : void
    {
        $this->navigationSort = $navigationSort;
    }


}

