<?php
/**
 * 珑大极简商城
 * 
 *  ==========================================================================
 *  @link      https://shop.loongdom.cn/
 *  @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 *  @license   https://shop.loongdom.cn/license.html License
 *  ==========================================================================
 * 
 * @author    静静的风
 */


namespace Extend\Entity;

use Admin\Entity\BaseEntity as BaseEntity;
use Doctrine\ORM\Mapping as ORM;

/**
 * 插件表
 *
 * @ORM\Entity(repositoryClass="Extend\Repository\PluginRepository")
 * @ORM\Table(name="loongdom_plugin")
 */
class Plugin extends BaseEntity
{

    /**
     * 自增id
     *
     * @ORM\Id()
     * @ORM\Column(name="plugin_id", type="integer", length=11)
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $pluginId;

    /**
     * 插件名称
     *
     * @ORM\Column(name="plugin_name", type="string", length=100)
     */
    private $pluginName;

    /**
     * 插件作者
     *
     * @ORM\Column(name="plugin_author", type="string", length=100)
     */
    private $pluginAuthor;

    /**
     * 插件作者网址
     *
     * @ORM\Column(name="plugin_author_url", type="string", length=200)
     */
    private $pluginAuthorUrl;

    /**
     * 插件描述
     *
     * @ORM\Column(name="plugin_info", type="text")
     */
    private $pluginInfo;

    /**
     * 插件版本，类似 V1.3
     *
     * @ORM\Column(name="plugin_version", type="string", length=20)
     */
    private $pluginVersion;

    /**
     * 插件版本号，十位 如 20112700 年月日00
     *
     * @ORM\Column(name="plugin_version_num", type="integer", length=11)
     */
    private $pluginVersionNum;

    /**
     * 插件标识码，如 goodsImport
     *
     * @ORM\Column(name="plugin_code", type="string", length=50)
     */
    private $pluginCode;

    /**
     * 插件有效期，0 永久
     *
     * @ORM\Column(name="plugin_expired", type="integer", length=10)
     */
    private $pluginExpired;

    /**
     * 插件状态，1 启用，0 关闭
     *
     * @ORM\Column(name="plugin_state", type="integer", length=1)
     */
    private $pluginState;

    /**
     * 插件帮助url地址
     *
     * @ORM\Column(name="plugin_support_url", type="string", length=200)
     */
    private $pluginSupportUrl;

    /**
     * 描述后台管理地址，如 系统-》系统设置
     *
     * @ORM\Column(name="plugin_admin_path", type="string", length=200)
     */
    private $pluginAdminPath;

    /**
     * 更新时间，如 2020-11-23
     *
     * @ORM\Column(name="plugin_update_time", type="date")
     */
    private $pluginUpdateTime;

    /**
     * Get the value of 自增id
     *
     * @return mixed
     */
    public function getPluginId()
    {
        return $this->pluginId;
    }

    /**
     * Set the value of 自增id
     *
     * @param mixed $pluginId
     */
    public function setPluginId($pluginId) : void
    {
        $this->pluginId = $pluginId;
    }

    /**
     * Get the value of 插件名称
     *
     * @return mixed
     */
    public function getPluginName()
    {
        return $this->pluginName;
    }

    /**
     * Set the value of 插件名称
     *
     * @param mixed $pluginName
     */
    public function setPluginName($pluginName) : void
    {
        $this->pluginName = $pluginName;
    }

    /**
     * Get the value of 插件作者
     *
     * @return mixed
     */
    public function getPluginAuthor()
    {
        return $this->pluginAuthor;
    }

    /**
     * Set the value of 插件作者
     *
     * @param mixed $pluginAuthor
     */
    public function setPluginAuthor($pluginAuthor) : void
    {
        $this->pluginAuthor = $pluginAuthor;
    }

    /**
     * Get the value of 插件作者网址
     *
     * @return mixed
     */
    public function getPluginAuthorUrl()
    {
        return $this->pluginAuthorUrl;
    }

    /**
     * Set the value of 插件作者网址
     *
     * @param mixed $pluginAuthorUrl
     */
    public function setPluginAuthorUrl($pluginAuthorUrl) : void
    {
        $this->pluginAuthorUrl = $pluginAuthorUrl;
    }

    /**
     * Get the value of 插件描述
     *
     * @return mixed
     */
    public function getPluginInfo()
    {
        return $this->pluginInfo;
    }

    /**
     * Set the value of 插件描述
     *
     * @param mixed $pluginInfo
     */
    public function setPluginInfo($pluginInfo) : void
    {
        $this->pluginInfo = $pluginInfo;
    }

    /**
     * Get the value of  插件版本，类似 V1.3
     *
     * @return mixed
     */
    public function getPluginVersion()
    {
        return $this->pluginVersion;
    }

    /**
     * Set the value of  插件版本，类似 V1.3
     *
     * @param mixed $pluginVersion
     */
    public function setPluginVersion($pluginVersion) : void
    {
        $this->pluginVersion = $pluginVersion;
    }

    /**
     * Get the value of 插件版本号，十位 如 20112700 年月日00
     *
     * @return mixed
     */
    public function getPluginVersionNum()
    {
        return $this->pluginVersionNum;
    }

    /**
     * Set the value of 插件版本号，十位 如 20112700 年月日00
     *
     * @param mixed $pluginVersionNum
     */
    public function setPluginVersionNum($pluginVersionNum) : void
    {
        $this->pluginVersionNum = $pluginVersionNum;
    }

    /**
     * Get the value of 插件标识码，如 goodsImport
     *
     * @return mixed
     */
    public function getPluginCode()
    {
        return $this->pluginCode;
    }

    /**
     * Set the value of 插件标识码，如 goodsImport
     *
     * @param mixed $pluginCode
     */
    public function setPluginCode($pluginCode) : void
    {
        $this->pluginCode = $pluginCode;
    }

    /**
     * Get the value of 插件有效期，0 永久
     *
     * @return mixed
     */
    public function getPluginExpired()
    {
        return $this->pluginExpired;
    }

    /**
     * Set the value of 插件有效期，0 永久
     *
     * @param mixed $pluginExpired
     */
    public function setPluginExpired($pluginExpired) : void
    {
        $this->pluginExpired = $pluginExpired;
    }

    /**
     * Get the value of 插件状态，1 启用，0 关闭
     *
     * @return mixed
     */
    public function getPluginState()
    {
        return $this->pluginState;
    }

    /**
     * Set the value of 插件状态，1 启用，0 关闭
     *
     * @param mixed $pluginState
     */
    public function setPluginState($pluginState) : void
    {
        $this->pluginState = $pluginState;
    }

    /**
     * Get the value of 插件帮助url地址
     *
     * @return mixed
     */
    public function getPluginSupportUrl()
    {
        return $this->pluginSupportUrl;
    }

    /**
     * Set the value of 插件帮助url地址
     *
     * @param mixed $pluginSupportUrl
     */
    public function setPluginSupportUrl($pluginSupportUrl) : void
    {
        $this->pluginSupportUrl = $pluginSupportUrl;
    }

    /**
     * Get the value of 描述后台管理地址，如 系统-》系统设置
     *
     * @return mixed
     */
    public function getPluginAdminPath()
    {
        return $this->pluginAdminPath;
    }

    /**
     * Set the value of 描述后台管理地址，如 系统-》系统设置
     *
     * @param mixed $pluginAdminPath
     */
    public function setPluginAdminPath($pluginAdminPath) : void
    {
        $this->pluginAdminPath = $pluginAdminPath;
    }

    /**
     * Get the value of 更新时间，如 2020-11-23
     *
     * @return mixed
     */
    public function getPluginUpdateTime()
    {
        return $this->pluginUpdateTime;
    }

    /**
     * Set the value of 更新时间，如 2020-11-23
     *
     * @param mixed $pluginUpdateTime
     */
    public function setPluginUpdateTime($pluginUpdateTime) : void
    {
        $this->pluginUpdateTime = $pluginUpdateTime;
    }


}

