<?php
/**
 * 珑大极简商城
 * 
 *  ==========================================================================
 *  @link      https://shop.loongdom.cn/
 *  @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 *  @license   https://shop.loongdom.cn/license.html License
 *  ==========================================================================
 * 
 * @author    静静的风
 */


namespace Goods\Entity;

use Admin\Entity\BaseEntity as BaseEntity;
use Doctrine\ORM\Mapping as ORM;

/**
 * 商品分类表
 *
 * @ORM\Entity(repositoryClass="Goods\Repository\GoodsClassRepository")
 * @ORM\Table(name="loongdom_goods_class")
 */
class GoodsClass extends BaseEntity
{

    /**
     * 自增id
     *
     * @ORM\Id()
     * @ORM\Column(name="class_id", type="integer", length=11)
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $classId;

    /**
     * 上级分类id
     *
     * @ORM\Column(name="class_top_id", type="integer", length=11)
     */
    private $classTopId;

    /**
     * 分类名称
     *
     * @ORM\Column(name="class_name", type="string", length=150)
     */
    private $className;

    /**
     * 步长
     *
     * @ORM\Column(name="class_path", type="string", length=255)
     */
    private $classPath;

    /**
     * 分类描述
     *
     * @ORM\Column(name="class_info", type="string", length=4000)
     */
    private $classInfo;

    /**
     * 分类图标
     *
     * @ORM\Column(name="class_image", type="string", length=100)
     */
    private $classImage;

    /**
     * 分类状态，1 开启，2 关闭
     *
     * @ORM\Column(name="class_state", type="integer", length=1)
     */
    private $classState;

    /**
     * 扩展标题
     *
     * @ORM\Column(name="class_extend", type="string", length=255)
     */
    private $classExtend;

    /**
     * 扩展关键字
     *
     * @ORM\Column(name="class_keywords", type="string", length=255)
     */
    private $classKeywords;

    /**
     * 扩展描述
     *
     * @ORM\Column(name="class_description", type="string", length=1000)
     */
    private $classDescription;

    /**
     * 排序
     *
     * @ORM\Column(name="class_sort", type="integer", length=11)
     */
    private $classSort = 255;

    /**
     * Get the value of 自增id
     *
     * @return mixed
     */
    public function getClassId()
    {
        return $this->classId;
    }

    /**
     * Set the value of 自增id
     *
     * @param mixed $classId
     */
    public function setClassId($classId) : void
    {
        $this->classId = $classId;
    }

    /**
     * Get the value of 上级分类id
     *
     * @return mixed
     */
    public function getClassTopId()
    {
        return $this->classTopId;
    }

    /**
     * Set the value of 上级分类id
     *
     * @param mixed $classTopId
     */
    public function setClassTopId($classTopId) : void
    {
        $this->classTopId = $classTopId;
    }

    /**
     * Get the value of 分类名称
     *
     * @return mixed
     */
    public function getClassName()
    {
        return $this->className;
    }

    /**
     * Set the value of 分类名称
     *
     * @param mixed $className
     */
    public function setClassName($className) : void
    {
        $this->className = $className;
    }

    /**
     * Get the value of 步长
     *
     * @return mixed
     */
    public function getClassPath()
    {
        return $this->classPath;
    }

    /**
     * Set the value of 步长
     *
     * @param mixed $classPath
     */
    public function setClassPath($classPath) : void
    {
        $this->classPath = $classPath;
    }

    /**
     * Get the value of 分类描述
     *
     * @return mixed
     */
    public function getClassInfo()
    {
        return $this->classInfo;
    }

    /**
     * Set the value of 分类描述
     *
     * @param mixed $classInfo
     */
    public function setClassInfo($classInfo) : void
    {
        $this->classInfo = $classInfo;
    }

    /**
     * Get the value of 分类图标
     *
     * @return mixed
     */
    public function getClassImage()
    {
        return $this->classImage;
    }

    /**
     * Set the value of 分类图标
     *
     * @param mixed $classImage
     */
    public function setClassImage($classImage) : void
    {
        $this->classImage = $classImage;
    }

    /**
     * Get the value of 分类状态，1 开启，2 关闭
     *
     * @return mixed
     */
    public function getClassState()
    {
        return $this->classState;
    }

    /**
     * Set the value of 分类状态，1 开启，2 关闭
     *
     * @param mixed $classState
     */
    public function setClassState($classState) : void
    {
        $this->classState = $classState;
    }

    /**
     * Get the value of 扩展标题
     *
     * @return mixed
     */
    public function getClassExtend()
    {
        return $this->classExtend;
    }

    /**
     * Set the value of 扩展标题
     *
     * @param mixed $classExtend
     */
    public function setClassExtend($classExtend) : void
    {
        $this->classExtend = $classExtend;
    }

    /**
     * Get the value of 扩展关键字
     *
     * @return mixed
     */
    public function getClassKeywords()
    {
        return $this->classKeywords;
    }

    /**
     * Set the value of 扩展关键字
     *
     * @param mixed $classKeywords
     */
    public function setClassKeywords($classKeywords) : void
    {
        $this->classKeywords = $classKeywords;
    }

    /**
     * Get the value of 扩展描述
     *
     * @return mixed
     */
    public function getClassDescription()
    {
        return $this->classDescription;
    }

    /**
     * Set the value of 扩展描述
     *
     * @param mixed $classDescription
     */
    public function setClassDescription($classDescription) : void
    {
        $this->classDescription = $classDescription;
    }

    /**
     * Get the value of 排序
     *
     * @return mixed
     */
    public function getClassSort()
    {
        return $this->classSort;
    }

    /**
     * Set the value of 排序
     *
     * @param mixed $classSort
     */
    public function setClassSort($classSort) : void
    {
        $this->classSort = $classSort;
    }


}

