<?php
/**
 * 珑大极简商城
 * 
 *  ==========================================================================
 *  @link      https://shop.loongdom.cn/
 *  @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 *  @license   https://shop.loongdom.cn/license.html License
 *  ==========================================================================
 * 
 * @author    静静的风
 */


namespace Goods\Entity;

use Admin\Entity\BaseEntity as BaseEntity;
use Doctrine\ORM\Mapping as ORM;

/**
 * 商品通用内容
 *
 * @ORM\Entity(repositoryClass="Goods\Repository\GoodsCommonContentRepository")
 * @ORM\Table(name="loongdom_goods_common_content")
 */
class GoodsCommonContent extends BaseEntity
{

    /**
     * 自增id
     *
     * @ORM\Id()
     * @ORM\Column(name="content_id", type="integer", length=11)
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $contentId;

    /**
     * 标题，后台显示
     *
     * @ORM\Column(name="content_title", type="string", length=200)
     */
    private $contentTitle;

    /**
     * 分类id字符串
     *
     * @ORM\Column(name="class_id_str", type="text")
     */
    private $classIdStr;

    /**
     * 内容
     *
     * @ORM\Column(name="content_body", type="text")
     */
    private $contentBody;

    /**
     * 状态，1 启用，2 禁用
     *
     * @ORM\Column(name="content_state", type="integer", length=1)
     */
    private $contentState;

    /**
     * 排序
     *
     * @ORM\Column(name="content_sort", type="integer", length=11)
     */
    private $contentSort = 255;

    /**
     * Get the value of 自增id
     *
     * @return mixed
     */
    public function getContentId()
    {
        return $this->contentId;
    }

    /**
     * Set the value of 自增id
     *
     * @param mixed $contentId
     */
    public function setContentId($contentId) : void
    {
        $this->contentId = $contentId;
    }

    /**
     * Get the value of 标题，后台显示
     *
     * @return mixed
     */
    public function getContentTitle()
    {
        return $this->contentTitle;
    }

    /**
     * Set the value of 标题，后台显示
     *
     * @param mixed $contentTitle
     */
    public function setContentTitle($contentTitle) : void
    {
        $this->contentTitle = $contentTitle;
    }

    /**
     * Get the value of 分类id字符串
     *
     * @return mixed
     */
    public function getClassIdStr()
    {
        return $this->classIdStr;
    }

    /**
     * Set the value of 分类id字符串
     *
     * @param mixed $classIdStr
     */
    public function setClassIdStr($classIdStr) : void
    {
        $this->classIdStr = $classIdStr;
    }

    /**
     * Get the value of 内容
     *
     * @return mixed
     */
    public function getContentBody()
    {
        return $this->contentBody;
    }

    /**
     * Set the value of 内容
     *
     * @param mixed $contentBody
     */
    public function setContentBody($contentBody) : void
    {
        $this->contentBody = $contentBody;
    }

    /**
     * Get the value of 状态，1 启用，2 禁用
     *
     * @return mixed
     */
    public function getContentState()
    {
        return $this->contentState;
    }

    /**
     * Set the value of 状态，1 启用，2 禁用
     *
     * @param mixed $contentState
     */
    public function setContentState($contentState) : void
    {
        $this->contentState = $contentState;
    }

    /**
     * Get the value of 排序
     *
     * @return mixed
     */
    public function getContentSort()
    {
        return $this->contentSort;
    }

    /**
     * Set the value of 排序
     *
     * @param mixed $contentSort
     */
    public function setContentSort($contentSort) : void
    {
        $this->contentSort = $contentSort;
    }


}

