<?php
/**
 * 珑大极简商城
 * 
 *  ==========================================================================
 *  @link      https://shop.loongdom.cn/
 *  @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 *  @license   https://shop.loongdom.cn/license.html License
 *  ==========================================================================
 * 
 * @author    静静的风
 */


namespace Goods\Entity;

use Admin\Entity\BaseEntity as BaseEntity;
use Doctrine\ORM\Mapping as ORM;

/**
 * 商品自定义表
 *
 * @ORM\Entity(repositoryClass="Goods\Repository\GoodsCustomRepository")
 * @ORM\Table(name="loongdom_goods_custom")
 */
class GoodsCustom extends BaseEntity
{

    /**
     * 自增id
     *
     * @ORM\Id()
     * @ORM\Column(name="custom_id", type="integer", length=11)
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $customId;

    /**
     * 商品id
     *
     * @ORM\Column(name="goods_id", type="integer", length=11)
     */
    private $goodsId;

    /**
     * 自定义标题
     *
     * @ORM\Column(name="custom_title", type="string", length=50)
     */
    private $customTitle;

    /**
     * 自定义内容
     *
     * @ORM\Column(name="custom_content", type="string", length=200)
     */
    private $customContent;

    /**
     * 前台显示，1 显示，2 不显示
     *
     * @ORM\Column(name="front_show", type="integer", length=1)
     */
    private $frontShow;

    /**
     * 序号
     *
     * @ORM\Column(name="custom_key", type="integer", length=2)
     */
    private $customKey;

    /**
     * Get the value of 自增id
     *
     * @return mixed
     */
    public function getCustomId()
    {
        return $this->customId;
    }

    /**
     * Set the value of 自增id
     *
     * @param mixed $customId
     */
    public function setCustomId($customId) : void
    {
        $this->customId = $customId;
    }

    /**
     * Get the value of 商品id
     *
     * @return mixed
     */
    public function getGoodsId()
    {
        return $this->goodsId;
    }

    /**
     * Set the value of 商品id
     *
     * @param mixed $goodsId
     */
    public function setGoodsId($goodsId) : void
    {
        $this->goodsId = $goodsId;
    }

    /**
     * Get the value of 自定义标题
     *
     * @return mixed
     */
    public function getCustomTitle()
    {
        return $this->customTitle;
    }

    /**
     * Set the value of 自定义标题
     *
     * @param mixed $customTitle
     */
    public function setCustomTitle($customTitle) : void
    {
        $this->customTitle = $customTitle;
    }

    /**
     * Get the value of 自定义内容
     *
     * @return mixed
     */
    public function getCustomContent()
    {
        return $this->customContent;
    }

    /**
     * Set the value of 自定义内容
     *
     * @param mixed $customContent
     */
    public function setCustomContent($customContent) : void
    {
        $this->customContent = $customContent;
    }

    /**
     * Get the value of 前台显示，1 显示，2 不显示
     *
     * @return mixed
     */
    public function getFrontShow()
    {
        return $this->frontShow;
    }

    /**
     * Set the value of 前台显示，1 显示，2 不显示
     *
     * @param mixed $frontShow
     */
    public function setFrontShow($frontShow) : void
    {
        $this->frontShow = $frontShow;
    }

    /**
     * Get the value of 序号
     *
     * @return mixed
     */
    public function getCustomKey()
    {
        return $this->customKey;
    }

    /**
     * Set the value of 序号
     *
     * @param mixed $customKey
     */
    public function setCustomKey($customKey) : void
    {
        $this->customKey = $customKey;
    }


}

