<?php
/**
 * 珑大极简商城
 * 
 *  ==========================================================================
 *  @link      https://shop.loongdom.cn/
 *  @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 *  @license   https://shop.loongdom.cn/license.html License
 *  ==========================================================================
 * 
 * @author    静静的风
 */


namespace Goods\Entity;

use Admin\Entity\BaseEntity as BaseEntity;
use Doctrine\ORM\Mapping as ORM;

/**
 * 商品评价
 *
 * @ORM\Entity(repositoryClass="Goods\Repository\GoodsEvaluationRepository")
 * @ORM\Table(name="loongdom_goods_evaluation")
 */
class GoodsEvaluation extends BaseEntity
{

    /**
     * 自增id
     *
     * @ORM\Id()
     * @ORM\Column(name="evaluation_id", type="integer", length=11)
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $evaluationId;

    /**
     * 会员id
     *
     * @ORM\Column(name="user_id", type="integer", length=11)
     */
    private $userId;

    /**
     * 会员名称
     *
     * @ORM\Column(name="user_name", type="string", length=100)
     */
    private $userName;

    /**
     * 评价内容
     *
     * @ORM\Column(name="evaluation_body", type="string", length=2000)
     */
    private $evaluationBody;

    /**
     * 评价星数，1-5
     *
     * @ORM\Column(name="evaluation_star", type="integer", length=1)
     */
    private $evaluationStar;

    /**
     * 评价时间
     *
     * @ORM\Column(name="evaluation_time", type="integer", length=10)
     */
    private $evaluationTime;

    /**
     * 显示状态，1 显示，2 不显示
     *
     * @ORM\Column(name="evaluation_show_state", type="integer", length=1)
     */
    private $evaluationShowState;

    /**
     * 追评内容
     *
     * @ORM\Column(name="add_evaluation_body", type="string", length=2000)
     */
    private $addEvaluationBody;

    /**
     * 追评时间
     *
     * @ORM\Column(name="add_evaluation_time", type="integer", length=10)
     */
    private $addEvaluationTime;

    /**
     * 商家回复内容
     *
     * @ORM\Column(name="reply_body", type="string", length=2000)
     */
    private $replyBody;

    /**
     * 商家回复时间
     *
     * @ORM\Column(name="reply_time", type="integer", length=10)
     */
    private $replyTime;

    /**
     * 回复者
     *
     * @ORM\Column(name="reply_user", type="string", length=100)
     */
    private $replyUser;

    /**
     * 商品id
     *
     * @ORM\Column(name="goods_id", type="integer", length=11)
     */
    private $goodsId;

    /**
     * 订单商品id
     *
     * @ORM\Column(name="order_goods_id", type="integer", length=11)
     */
    private $orderGoodsId;

    /**
     * Get the value of 自增id
     *
     * @return mixed
     */
    public function getEvaluationId()
    {
        return $this->evaluationId;
    }

    /**
     * Set the value of 自增id
     *
     * @param mixed $evaluationId
     */
    public function setEvaluationId($evaluationId) : void
    {
        $this->evaluationId = $evaluationId;
    }

    /**
     * Get the value of 会员id
     *
     * @return mixed
     */
    public function getUserId()
    {
        return $this->userId;
    }

    /**
     * Set the value of 会员id
     *
     * @param mixed $userId
     */
    public function setUserId($userId) : void
    {
        $this->userId = $userId;
    }

    /**
     * Get the value of 会员名称
     *
     * @return mixed
     */
    public function getUserName()
    {
        return $this->userName;
    }

    /**
     * Set the value of 会员名称
     *
     * @param mixed $userName
     */
    public function setUserName($userName) : void
    {
        $this->userName = $userName;
    }

    /**
     * Get the value of 评价内容
     *
     * @return mixed
     */
    public function getEvaluationBody()
    {
        return $this->evaluationBody;
    }

    /**
     * Set the value of 评价内容
     *
     * @param mixed $evaluationBody
     */
    public function setEvaluationBody($evaluationBody) : void
    {
        $this->evaluationBody = $evaluationBody;
    }

    /**
     * Get the value of 评价星数，1-5
     *
     * @return mixed
     */
    public function getEvaluationStar()
    {
        return $this->evaluationStar;
    }

    /**
     * Set the value of 评价星数，1-5
     *
     * @param mixed $evaluationStar
     */
    public function setEvaluationStar($evaluationStar) : void
    {
        $this->evaluationStar = $evaluationStar;
    }

    /**
     * Get the value of 评价时间
     *
     * @return mixed
     */
    public function getEvaluationTime()
    {
        return $this->evaluationTime;
    }

    /**
     * Set the value of 评价时间
     *
     * @param mixed $evaluationTime
     */
    public function setEvaluationTime($evaluationTime) : void
    {
        $this->evaluationTime = $evaluationTime;
    }

    /**
     * Get the value of 显示状态，1 显示，2 不显示
     *
     * @return mixed
     */
    public function getEvaluationShowState()
    {
        return $this->evaluationShowState;
    }

    /**
     * Set the value of 显示状态，1 显示，2 不显示
     *
     * @param mixed $evaluationShowState
     */
    public function setEvaluationShowState($evaluationShowState) : void
    {
        $this->evaluationShowState = $evaluationShowState;
    }

    /**
     * Get the value of 追评内容
     *
     * @return mixed
     */
    public function getAddEvaluationBody()
    {
        return $this->addEvaluationBody;
    }

    /**
     * Set the value of 追评内容
     *
     * @param mixed $addEvaluationBody
     */
    public function setAddEvaluationBody($addEvaluationBody) : void
    {
        $this->addEvaluationBody = $addEvaluationBody;
    }

    /**
     * Get the value of 追评时间
     *
     * @return mixed
     */
    public function getAddEvaluationTime()
    {
        return $this->addEvaluationTime;
    }

    /**
     * Set the value of 追评时间
     *
     * @param mixed $addEvaluationTime
     */
    public function setAddEvaluationTime($addEvaluationTime) : void
    {
        $this->addEvaluationTime = $addEvaluationTime;
    }

    /**
     * Get the value of 商家回复内容
     *
     * @return mixed
     */
    public function getReplyBody()
    {
        return $this->replyBody;
    }

    /**
     * Set the value of 商家回复内容
     *
     * @param mixed $replyBody
     */
    public function setReplyBody($replyBody) : void
    {
        $this->replyBody = $replyBody;
    }

    /**
     * Get the value of 商家回复时间
     *
     * @return mixed
     */
    public function getReplyTime()
    {
        return $this->replyTime;
    }

    /**
     * Set the value of 商家回复时间
     *
     * @param mixed $replyTime
     */
    public function setReplyTime($replyTime) : void
    {
        $this->replyTime = $replyTime;
    }

    /**
     * Get the value of 回复者
     *
     * @return mixed
     */
    public function getReplyUser()
    {
        return $this->replyUser;
    }

    /**
     * Set the value of 回复者
     *
     * @param mixed $replyUser
     */
    public function setReplyUser($replyUser) : void
    {
        $this->replyUser = $replyUser;
    }

    /**
     * Get the value of 商品id
     *
     * @return mixed
     */
    public function getGoodsId()
    {
        return $this->goodsId;
    }

    /**
     * Set the value of 商品id
     *
     * @param mixed $goodsId
     */
    public function setGoodsId($goodsId) : void
    {
        $this->goodsId = $goodsId;
    }

    /**
     * Get the value of 订单商品id
     *
     * @return mixed
     */
    public function getOrderGoodsId()
    {
        return $this->orderGoodsId;
    }

    /**
     * Set the value of 订单商品id
     *
     * @param mixed $orderGoodsId
     */
    public function setOrderGoodsId($orderGoodsId) : void
    {
        $this->orderGoodsId = $orderGoodsId;
    }


}

