<?php
/**
 * 珑大极简商城
 * 
 *  ==========================================================================
 *  @link      https://shop.loongdom.cn/
 *  @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 *  @license   https://shop.loongdom.cn/license.html License
 *  ==========================================================================
 * 
 * @author    静静的风
 */


namespace Goods\Entity;

use Admin\Entity\BaseEntity as BaseEntity;
use Doctrine\ORM\Mapping as ORM;

/**
 * 商品评价基本表
 *
 * @ORM\Entity(repositoryClass="Goods\Repository\GoodsEvaluationBaseRepository")
 * @ORM\Table(name="loongdom_goods_evaluation_base")
 */
class GoodsEvaluationBase extends BaseEntity
{

    /**
     * 自增id
     *
     * @ORM\Id()
     * @ORM\Column(name="evaluation_base_id", type="integer", length=11)
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $evaluationBaseId;

    /**
     * 商品id
     *
     * @ORM\Column(name="goods_id", type="integer", length=11)
     */
    private $goodsId;

    /**
     * 最新评价人
     *
     * @ORM\Column(name="evaluation_last_user", type="string", length=100)
     */
    private $evaluationLastUser;

    /**
     * 最新评价时间
     *
     * @ORM\Column(name="evaluation_last_time", type="integer", length=10)
     */
    private $evaluationLastTime;

    /**
     * 评价总数
     *
     * @ORM\Column(name="evaluation_count", type="integer", length=11)
     */
    private $evaluationCount;

    /**
     * Get the value of 自增id
     *
     * @return mixed
     */
    public function getEvaluationBaseId()
    {
        return $this->evaluationBaseId;
    }

    /**
     * Set the value of 自增id
     *
     * @param mixed $evaluationBaseId
     */
    public function setEvaluationBaseId($evaluationBaseId) : void
    {
        $this->evaluationBaseId = $evaluationBaseId;
    }

    /**
     * Get the value of 商品id
     *
     * @return mixed
     */
    public function getGoodsId()
    {
        return $this->goodsId;
    }

    /**
     * Set the value of 商品id
     *
     * @param mixed $goodsId
     */
    public function setGoodsId($goodsId) : void
    {
        $this->goodsId = $goodsId;
    }

    /**
     * Get the value of 最新评价人
     *
     * @return mixed
     */
    public function getEvaluationLastUser()
    {
        return $this->evaluationLastUser;
    }

    /**
     * Set the value of 最新评价人
     *
     * @param mixed $evaluationLastUser
     */
    public function setEvaluationLastUser($evaluationLastUser) : void
    {
        $this->evaluationLastUser = $evaluationLastUser;
    }

    /**
     * Get the value of 最新评价时间
     *
     * @return mixed
     */
    public function getEvaluationLastTime()
    {
        return $this->evaluationLastTime;
    }

    /**
     * Set the value of 最新评价时间
     *
     * @param mixed $evaluationLastTime
     */
    public function setEvaluationLastTime($evaluationLastTime) : void
    {
        $this->evaluationLastTime = $evaluationLastTime;
    }

    /**
     * Get the value of 评价总数
     *
     * @return mixed
     */
    public function getEvaluationCount()
    {
        return $this->evaluationCount;
    }

    /**
     * Set the value of 评价总数
     *
     * @param mixed $evaluationCount
     */
    public function setEvaluationCount($evaluationCount) : void
    {
        $this->evaluationCount = $evaluationCount;
    }


}

