<?php
/**
 * 珑大极简商城
 * 
 *  ==========================================================================
 *  @link      https://shop.loongdom.cn/
 *  @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 *  @license   https://shop.loongdom.cn/license.html License
 *  ==========================================================================
 * 
 * @author    静静的风
 */


namespace Goods\Entity;

use Admin\Entity\BaseEntity as BaseEntity;
use Doctrine\ORM\Mapping as ORM;

/**
 * 商品图片
 *
 * @ORM\Entity(repositoryClass="Goods\Repository\GoodsImageRepository")
 * @ORM\Table(name="loongdom_goods_image")
 */
class GoodsImage extends BaseEntity
{

    /**
     * 图片自增id
     *
     * @ORM\Id()
     * @ORM\Column(name="goods_image_id", type="integer", length=11)
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $goodsImageId;

    /**
     * 商品id
     *
     * @ORM\Column(name="goods_id", type="integer", length=11)
     */
    private $goodsId;

    /**
     * 商品缩微图
     *
     * @ORM\Column(name="goods_thumbnail_image", type="string", length=500)
     */
    private $goodsThumbnailImage;

    /**
     * 商品图片
     *
     * @ORM\Column(name="goods_image", type="string", length=500)
     */
    private $goodsImage;

    /**
     * 图片切换，1 是， 0 否
     *
     * @ORM\Column(name="image_slide", type="integer", length=1)
     */
    private $imageSlide;

    /**
     * 图片code，用于识别当前的上传用户，其实是当前用户的
     * session_id
     *
     * @ORM\Column(name="image_code", type="string", length=50)
     */
    private $imageCode;

    /**
     * 图片排序，默认 255
     *
     * @ORM\Column(name="image_sort", type="integer", length=11)
     */
    private $imageSort = 255;

    /**
     * Get the value of 图片自增id
     *
     * @return mixed
     */
    public function getGoodsImageId()
    {
        return $this->goodsImageId;
    }

    /**
     * Set the value of 图片自增id
     *
     * @param mixed $goodsImageId
     */
    public function setGoodsImageId($goodsImageId) : void
    {
        $this->goodsImageId = $goodsImageId;
    }

    /**
     * Get the value of 商品id
     *
     * @return mixed
     */
    public function getGoodsId()
    {
        return $this->goodsId;
    }

    /**
     * Set the value of 商品id
     *
     * @param mixed $goodsId
     */
    public function setGoodsId($goodsId) : void
    {
        $this->goodsId = $goodsId;
    }

    /**
     * Get the value of 商品缩微图
     *
     * @return mixed
     */
    public function getGoodsThumbnailImage()
    {
        return $this->goodsThumbnailImage;
    }

    /**
     * Set the value of 商品缩微图
     *
     * @param mixed $goodsThumbnailImage
     */
    public function setGoodsThumbnailImage($goodsThumbnailImage) : void
    {
        $this->goodsThumbnailImage = $goodsThumbnailImage;
    }

    /**
     * Get the value of 商品图片
     *
     * @return mixed
     */
    public function getGoodsImage()
    {
        return $this->goodsImage;
    }

    /**
     * Set the value of 商品图片
     *
     * @param mixed $goodsImage
     */
    public function setGoodsImage($goodsImage) : void
    {
        $this->goodsImage = $goodsImage;
    }

    /**
     * Get the value of 图片切换，1 是， 0 否
     *
     * @return mixed
     */
    public function getImageSlide()
    {
        return $this->imageSlide;
    }

    /**
     * Set the value of 图片切换，1 是， 0 否
     *
     * @param mixed $imageSlide
     */
    public function setImageSlide($imageSlide) : void
    {
        $this->imageSlide = $imageSlide;
    }

    /**
     * Get the value of
     * 图片code，用于识别当前的上传用户，其实是当前用户的
     * session_id
     *
     * @return mixed
     */
    public function getImageCode()
    {
        return $this->imageCode;
    }

    /**
     * Set the value of
     * 图片code，用于识别当前的上传用户，其实是当前用户的
     * session_id
     *
     * @param mixed $imageCode
     */
    public function setImageCode($imageCode) : void
    {
        $this->imageCode = $imageCode;
    }

    /**
     * Get the value of 图片排序，默认 255
     *
     * @return mixed
     */
    public function getImageSort()
    {
        return $this->imageSort;
    }

    /**
     * Set the value of 图片排序，默认 255
     *
     * @param mixed $imageSort
     */
    public function setImageSort($imageSort) : void
    {
        $this->imageSort = $imageSort;
    }


}

