<?php
/**
 * 珑大极简商城
 * 
 *  ==========================================================================
 *  @link      https://shop.loongdom.cn/
 *  @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 *  @license   https://shop.loongdom.cn/license.html License
 *  ==========================================================================
 * 
 * @author    静静的风
 */


namespace Goods\Entity;

use Admin\Entity\BaseEntity as BaseEntity;
use Doctrine\ORM\Mapping as ORM;

/**
 * 商品所在分类（多分类）
 *
 * @ORM\Entity(repositoryClass="Goods\Repository\GoodsInClassRepository")
 * @ORM\Table(name="loongdom_goods_in_class")
 */
class GoodsInClass extends BaseEntity
{

    /**
     * 自增id
     *
     * @ORM\Id()
     * @ORM\Column(name="in_id", type="integer", length=11)
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $inId;

    /**
     * 商品id
     *
     * @ORM\Column(name="goods_id", type="integer", length=11)
     */
    private $goodsId;

    /**
     * 商品分类id
     *
     * @ORM\Column(name="class_id", type="integer", length=11)
     */
    private $classId;

    /**
     * 商品在该分类中的排序
     *
     * @ORM\Column(name="class_goods_sort", type="integer", length=11)
     */
    private $classGoodsSort = 255;

    /**
     * 是否在该分类中推荐该商品
     *
     * @ORM\Column(name="class_goods_recommend", type="integer", length=1)
     */
    private $classGoodsRecommend = 0;

    /**
     * Get the value of 自增id
     *
     * @return mixed
     */
    public function getInId()
    {
        return $this->inId;
    }

    /**
     * Set the value of 自增id
     *
     * @param mixed $inId
     */
    public function setInId($inId) : void
    {
        $this->inId = $inId;
    }

    /**
     * Get the value of 商品id
     *
     * @return mixed
     */
    public function getGoodsId()
    {
        return $this->goodsId;
    }

    /**
     * Set the value of 商品id
     *
     * @param mixed $goodsId
     */
    public function setGoodsId($goodsId) : void
    {
        $this->goodsId = $goodsId;
    }

    /**
     * Get the value of 商品分类id
     *
     * @return mixed
     */
    public function getClassId()
    {
        return $this->classId;
    }

    /**
     * Set the value of 商品分类id
     *
     * @param mixed $classId
     */
    public function setClassId($classId) : void
    {
        $this->classId = $classId;
    }

    /**
     * Get the value of 商品在该分类中的排序
     *
     * @return mixed
     */
    public function getClassGoodsSort()
    {
        return $this->classGoodsSort;
    }

    /**
     * Set the value of 商品在该分类中的排序
     *
     * @param mixed $classGoodsSort
     */
    public function setClassGoodsSort($classGoodsSort) : void
    {
        $this->classGoodsSort = $classGoodsSort;
    }

    /**
     * Get the value of 是否在该分类中推荐该商品
     *
     * @return mixed
     */
    public function getClassGoodsRecommend()
    {
        return $this->classGoodsRecommend;
    }

    /**
     * Set the value of 是否在该分类中推荐该商品
     *
     * @param mixed $classGoodsRecommend
     */
    public function setClassGoodsRecommend($classGoodsRecommend) : void
    {
        $this->classGoodsRecommend = $classGoodsRecommend;
    }


}

