<?php
/**
 * 珑大极简商城
 *
 * ==========================================================================
 * @link      https://shop.loongdom.cn/
 * @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 * @license   https://shop.loongdom.cn/license.html License
 * ==========================================================================
 *
 * @author    静静的风 <baron@loongdom.cn>
 *
 */

namespace Goods\Entity;

use Admin\Entity\BaseEntity;
use Doctrine\ORM\Mapping as ORM;

/**
 * 商品规格
 * Class GoodsInSpecGoods
 * @package Goods\Entity
 * @ORM\Entity(repositoryClass="Goods\Repository\GoodsInSpecGoodsRepository")
 * @ORM\Table(name="loongdom_goods_in_spec_goods")
 */
class GoodsInSpecGoods extends BaseEntity
{
    /**
     * 自增id
     * @ORM\Id()
     * @ORM\Column(name="in_spec_goods_id", type="integer", length=11)
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $inSpecGoodsId;

    /**
     * 商品规格名称
     * @ORM\Column(name="spec_name", type="string", length=255)
     */
    private $specName;

    /**
     * 规格价格
     * @ORM\Column(name="spec_goods_price", type="decimal", scale=2)
     */
    private $specGoodsPrice;

    /**
     * 规格库存
     * @ORM\Column(name="spec_goods_stock", type="decimal", scale=2)
     */
    private $specGoodsStock = 1;

    /**
     * 规格商品编号
     * @ORM\Column(name="spec_goods_item", type="string", length=50)
     */
    private $specGoodsItem;

    /**
     * 规格商品重量
     * @ORM\Column(name="spec_goods_weight", type="integer", scale=11)
     */
    private $specGoodsWeight = 0;

    /**
     * 规格商品id
     * @ORM\Column(name="goods_id", type="integer", length=11)
     */
    private $goodsId;

    /**
     * @ORM\Column(name="spec_key", type="integer", length=2)
     */
    private $specKey;

    /**
     * @return mixed
     */
    public function getInSpecGoodsId()
    {
        return $this->inSpecGoodsId;
    }

    /**
     * @param mixed $inSpecGoodsId
     */
    public function setInSpecGoodsId($inSpecGoodsId): void
    {
        $this->inSpecGoodsId = $inSpecGoodsId;
    }

    /**
     * @return mixed
     */
    public function getSpecName()
    {
        return $this->specName;
    }

    /**
     * @param mixed $specName
     */
    public function setSpecName($specName): void
    {
        $this->specName = $specName;
    }

    /**
     * @return mixed
     */
    public function getSpecGoodsPrice()
    {
        return $this->specGoodsPrice;
    }

    /**
     * @param mixed $specGoodsPrice
     */
    public function setSpecGoodsPrice($specGoodsPrice): void
    {
        $this->specGoodsPrice = $specGoodsPrice;
    }

    /**
     * @return mixed
     */
    public function getSpecGoodsStock()
    {
        return $this->specGoodsStock;
    }

    public function setSpecGoodsStock($specGoodsStock): void
    {
        $this->specGoodsStock = $specGoodsStock;
    }



    /**
     * @return mixed
     */
    public function getSpecGoodsItem()
    {
        return $this->specGoodsItem;
    }

    /**
     * @param mixed $specGoodsItem
     */
    public function setSpecGoodsItem($specGoodsItem): void
    {
        $this->specGoodsItem = $specGoodsItem;
    }

    public function getSpecGoodsWeight(): int
    {
        return $this->specGoodsWeight;
    }

    public function setSpecGoodsWeight(int $specGoodsWeight): void
    {
        $this->specGoodsWeight = $specGoodsWeight;
    }

    /**
     * @return mixed
     */
    public function getGoodsId()
    {
        return $this->goodsId;
    }

    /**
     * @param mixed $goodsId
     */
    public function setGoodsId($goodsId): void
    {
        $this->goodsId = $goodsId;
    }

    /**
     * @return mixed
     */
    public function getSpecKey()
    {
        return $this->specKey;
    }

    /**
     * @param mixed $specKey
     */
    public function setSpecKey($specKey): void
    {
        $this->specKey = $specKey;
    }
}