<?php
/**
 * 珑大极简商城
 * 
 *  ==========================================================================
 *  @link      https://shop.loongdom.cn/
 *  @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 *  @license   https://shop.loongdom.cn/license.html License
 *  ==========================================================================
 * 
 * @author    静静的风
 */


namespace Goods\Entity;

use Admin\Entity\BaseEntity as BaseEntity;
use Doctrine\ORM\Mapping as ORM;

/**
 * 商品销量
 *
 * @ORM\Entity(repositoryClass="Goods\Repository\GoodsSalesRecordRepository")
 * @ORM\Table(name="loongdom_goods_sales_record")
 */
class GoodsSalesRecord extends BaseEntity
{

    /**
     * 自增id
     *
     * @ORM\Id()
     * @ORM\Column(name="sales_record_id", type="integer", length=11)
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $salesRecordId;

    /**
     * 商品id
     *
     * @ORM\Column(name="goods_id", type="integer", length=11)
     */
    private $goodsId;

    /**
     * 销量
     *
     * @ORM\Column(name="goods_sales_num", type="integer", length=11)
     */
    private $goodsSalesNum = 0;

    /**
     * Get the value of 自增id
     *
     * @return mixed
     */
    public function getSalesRecordId()
    {
        return $this->salesRecordId;
    }

    /**
     * Set the value of 自增id
     *
     * @param mixed $salesRecordId
     */
    public function setSalesRecordId($salesRecordId) : void
    {
        $this->salesRecordId = $salesRecordId;
    }

    /**
     * Get the value of 商品id
     *
     * @return mixed
     */
    public function getGoodsId()
    {
        return $this->goodsId;
    }

    /**
     * Set the value of 商品id
     *
     * @param mixed $goodsId
     */
    public function setGoodsId($goodsId) : void
    {
        $this->goodsId = $goodsId;
    }

    /**
     * Get the value of 销量
     *
     * @return mixed
     */
    public function getGoodsSalesNum()
    {
        return $this->goodsSalesNum;
    }

    /**
     * Set the value of 销量
     *
     * @param mixed $goodsSalesNum
     */
    public function setGoodsSalesNum($goodsSalesNum) : void
    {
        $this->goodsSalesNum = $goodsSalesNum;
    }


}

