DROP TABLE IF EXISTS `loongdom_system`;
CREATE TABLE IF NOT EXISTS `loongdom_system` (
  `sys_id` int(11) NOT NULL AUTO_INCREMENT,
  `sys_name` varchar(30) NOT NULL,
  `sys_body` longtext,
  `sys_type` varchar(15) NOT NULL,
  PRIMARY KEY (`sys_id`) USING BTREE,
  KEY `shop_sys_index` (`sys_name`,`sys_type`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='系统信息表';

DROP TABLE IF EXISTS `loongdom_ad`;
CREATE TABLE IF NOT EXISTS `loongdom_ad` (
  `ad_id` int(11) NOT NULL AUTO_INCREMENT,
  `ad_class` varchar(30) NOT NULL,
  `ad_place_code` varchar(50) NOT NULL,
  `ad_type` varchar(20) NOT NULL,
  `ad_start_time` int(10) NOT NULL DEFAULT '0',
  `ad_end_time` int(10) NOT NULL DEFAULT '0',
  `ad_url` varchar(500) DEFAULT NULL,
  `ad_words` varchar(200) DEFAULT NULL,
  `ad_body` varchar(500) DEFAULT NULL,
  `ad_state` tinyint(1) NOT NULL DEFAULT '1',
  `template_code` varchar(50) NOT NULL,
  PRIMARY KEY (`ad_id`),
  KEY `ad_class` (`ad_class`),
  KEY `ad_place_code` (`ad_place_code`),
  KEY `template_code` (`template_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='广告表';

DROP TABLE IF EXISTS `loongdom_admin`;
CREATE TABLE IF NOT EXISTS `loongdom_admin` (
  `admin_id` int(11) NOT NULL AUTO_INCREMENT,
  `admin_group_id` int(11) NOT NULL,
  `admin_name` varchar(100) NOT NULL,
  `admin_passwd` varchar(72) NOT NULL,
  `admin_email` varchar(100) NOT NULL,
  `admin_state` tinyint(2) NOT NULL DEFAULT '1',
  `admin_add_time` int(10) NOT NULL,
  `admin_old_login_time` int(10) DEFAULT NULL,
  `admin_new_login_time` int(10) DEFAULT NULL,
  PRIMARY KEY (`admin_id`) USING BTREE,
  KEY `admin_name` (`admin_name`,`admin_email`) USING BTREE,
  KEY `admin_group_id` (`admin_group_id`) USING BTREE,
  KEY `admin_state` (`admin_state`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

DROP TABLE IF EXISTS `loongdom_admin_group`;
CREATE TABLE IF NOT EXISTS `loongdom_admin_group` (
  `admin_group_id` int(11) NOT NULL AUTO_INCREMENT,
  `admin_group_name` varchar(200) NOT NULL,
  `admin_group_purview` text,
  PRIMARY KEY (`admin_group_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

DROP TABLE IF EXISTS `loongdom_ad_slide`;
CREATE TABLE IF NOT EXISTS `loongdom_ad_slide` (
  `ad_slide_id` int(11) NOT NULL AUTO_INCREMENT,
  `ad_id` int(11) NOT NULL,
  `ad_slide_image` varchar(300) DEFAULT NULL,
  `ad_slide_sort` int(11) NOT NULL DEFAULT '255',
  `ad_slide_url` varchar(500) DEFAULT NULL,
  `ad_words` varchar(200) DEFAULT NULL,
  PRIMARY KEY (`ad_slide_id`),
  KEY `ad_slide_sort` (`ad_slide_sort`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='广告幻灯片';

DROP TABLE IF EXISTS `loongdom_cart`;
CREATE TABLE IF NOT EXISTS `loongdom_cart` (
  `cart_id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `goods_id` int(11) NOT NULL,
  `in_spec_goods_id` int(11) DEFAULT '0',
  `buy_num` decimal(15,2) NOT NULL DEFAULT '0.00',
  `add_time` int(10) NOT NULL,
  PRIMARY KEY (`cart_id`),
  KEY `user_id` (`user_id`),
  KEY `goods_id` (`goods_id`),
  KEY `in_spec_goods_id` (`in_spec_goods_id`),
  KEY `buy_num` (`buy_num`),
  KEY `add_time` (`add_time`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='购物车';

DROP TABLE IF EXISTS `loongdom_cms`;
CREATE TABLE IF NOT EXISTS `loongdom_cms` (
  `cms_id` int(11) NOT NULL AUTO_INCREMENT,
  `cms_class_id` int(11) NOT NULL,
  `cms_writer` varchar(100) DEFAULT NULL,
  `cms_url` varchar(300) DEFAULT NULL,
  `cms_cover_image` varchar(200) DEFAULT NULL,
  `cms_title` varchar(200) NOT NULL,
  `cms_body` longtext,
  `cms_extend_title` varchar(200) DEFAULT NULL,
  `cms_keywords` varchar(200) DEFAULT NULL,
  `cms_description` varchar(500) DEFAULT NULL,
  `cms_state` tinyint(1) NOT NULL DEFAULT '1',
  `cms_sort` int(11) NOT NULL DEFAULT '255',
  `cms_add_time` int(10) NOT NULL,
  PRIMARY KEY (`cms_id`),
  KEY `cms_class_id` (`cms_class_id`),
  KEY `cms_state` (`cms_state`),
  KEY `cms_sort` (`cms_sort`),
  KEY `cms_add_time` (`cms_add_time`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='文章表';

DROP TABLE IF EXISTS `loongdom_cms_class`;
CREATE TABLE IF NOT EXISTS `loongdom_cms_class` (
  `cms_class_id` int(11) NOT NULL AUTO_INCREMENT,
  `cms_class_top_id` int(11) NOT NULL DEFAULT '0',
  `cms_class_name` varchar(200) NOT NULL,
  `cms_class_state` tinyint(1) NOT NULL DEFAULT '1',
  `cms_class_extend_name` varchar(200) DEFAULT NULL,
  `cms_class_keywords` varchar(200) DEFAULT NULL,
  `cms_class_description` varchar(500) DEFAULT NULL,
  `cms_class_sort` int(11) NOT NULL DEFAULT '255',
  PRIMARY KEY (`cms_class_id`),
  KEY `cms_class_top_id` (`cms_class_top_id`),
  KEY `cms_class_state` (`cms_class_state`),
  KEY `cms_class_sort` (`cms_class_sort`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='文章分类';

DROP TABLE IF EXISTS `loongdom_delivery`;
CREATE TABLE IF NOT EXISTS `loongdom_delivery` (
  `delivery_id` int(11) NOT NULL AUTO_INCREMENT,
  `delivery_name` varchar(200) NOT NULL,
  `delivery_name_code` varchar(30) DEFAULT NULL,
  `delivery_info` varchar(1000) DEFAULT NULL,
  `delivery_url` varchar(100) DEFAULT NULL,
  `delivery_sort` int(11) NOT NULL,
  `delivery_state` tinyint(1) NOT NULL DEFAULT '1',
  `cash_on_delivery` tinyint(1) NOT NULL DEFAULT '2',
  PRIMARY KEY (`delivery_id`) USING BTREE,
  KEY `delivery_sort` (`delivery_sort`) USING BTREE,
  KEY `delivery_state` (`delivery_state`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

DROP TABLE IF EXISTS `loongdom_delivery_individuation`;
CREATE TABLE IF NOT EXISTS `loongdom_delivery_individuation` (
  `indiv_id` int(11) NOT NULL AUTO_INCREMENT,
  `delivery_price` varchar(1000) NOT NULL DEFAULT '0',
  `delivery_area` text,
  PRIMARY KEY (`indiv_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

DROP TABLE IF EXISTS `loongdom_discount_rule`;
CREATE TABLE IF NOT EXISTS `loongdom_discount_rule` (
  `discount_rule_id` int(11) NOT NULL AUTO_INCREMENT,
  `discount_rule_title` varchar(150) NOT NULL,
  `discount_rule_info` varchar(500) DEFAULT NULL,
  `discount_start_time` int(10) DEFAULT '0',
  `discount_end_time` int(10) DEFAULT '0',
  `user_buy_frequency` int(11) NOT NULL DEFAULT '0',
  `discount_state` tinyint(1) NOT NULL DEFAULT '1',
  `goods_buy_type` tinyint(1) NOT NULL,
  `goods_buy_amount` int(11) DEFAULT '0',
  `buy_discount` int(11) DEFAULT '0',
  `discount_mode` tinyint(1) NOT NULL,
  `discount_user_type` varchar(30) NOT NULL,
  `discount_user_group` text,
  `discount_goods_type` varchar(30) NOT NULL,
  `discount_goods_body` text,
  PRIMARY KEY (`discount_rule_id`),
  KEY `discount_state` (`discount_state`),
  KEY `discount_mode` (`discount_mode`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='优惠促销规则表';

DROP TABLE IF EXISTS `loongdom_goods`;
CREATE TABLE IF NOT EXISTS `loongdom_goods` (
  `goods_id` int(11) NOT NULL AUTO_INCREMENT,
  `goods_item` varchar(50) DEFAULT NULL,
  `class_id` int(11) NOT NULL,
  `goods_name` varchar(200) NOT NULL,
  `goods_extend_name` varchar(255) DEFAULT NULL,
  `stock_id` int(11) DEFAULT '0',
  `goods_weight` int(11) NOT NULL DEFAULT '0',
  `goods_weight_conversion` int(11) NOT NULL DEFAULT '0',
  `goods_weight_unit` varchar(20) DEFAULT NULL,
  `goods_keywords` varchar(255) DEFAULT NULL,
  `goods_description` varchar(1000) DEFAULT NULL,
  `goods_market_price` decimal(19,2) DEFAULT '0.00',
  `goods_price` decimal(19,2) NOT NULL DEFAULT '0.00',
  `goods_body` longtext,
  `goods_state` tinyint(1) NOT NULL DEFAULT '1',
  `goods_image_id` int(11) DEFAULT '0',
  `goods_click` int(11) DEFAULT '0',
  `goods_add_time` int(10) NOT NULL,
  `spec_state` tinyint(1) DEFAULT '0',
  PRIMARY KEY (`goods_id`),
  KEY `class_id` (`class_id`),
  KEY `stock_id` (`stock_id`),
  KEY `goods_price` (`goods_price`),
  KEY `goods_state` (`goods_state`),
  KEY `goods_add_time` (`goods_add_time`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='商品基本表';

DROP TABLE IF EXISTS `loongdom_goods_class`;
CREATE TABLE IF NOT EXISTS `loongdom_goods_class` (
  `class_id` int(11) NOT NULL AUTO_INCREMENT,
  `class_top_id` int(11) NOT NULL DEFAULT '0',
  `class_name` varchar(150) NOT NULL,
  `class_path` varchar(255) DEFAULT NULL,
  `class_info` varchar(4000) DEFAULT NULL,
  `class_image` varchar(100) DEFAULT NULL,
  `class_state` tinyint(1) NOT NULL DEFAULT '1',
  `class_extend` varchar(255) DEFAULT NULL,
  `class_keywords` varchar(255) DEFAULT NULL,
  `class_description` varchar(1000) DEFAULT NULL,
  `class_sort` int(11) DEFAULT '255',
  PRIMARY KEY (`class_id`),
  KEY `class_top_id` (`class_top_id`),
  KEY `class_state` (`class_state`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='商品分类表';

DROP TABLE IF EXISTS `loongdom_goods_common_content`;
CREATE TABLE IF NOT EXISTS `loongdom_goods_common_content` (
  `content_id` int(11) NOT NULL AUTO_INCREMENT,
  `content_title` varchar(200) NOT NULL,
  `class_id_str` text,
  `content_body` longtext,
  `content_state` tinyint(1) NOT NULL DEFAULT '1',
  `content_sort` int(11) NOT NULL DEFAULT '255',
  PRIMARY KEY (`content_id`),
  KEY `content_state` (`content_state`),
  KEY `content_sort` (`content_sort`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='商品通用内容';

DROP TABLE IF EXISTS `loongdom_goods_custom`;
CREATE TABLE IF NOT EXISTS `loongdom_goods_custom` (
  `custom_id` int(11) NOT NULL AUTO_INCREMENT,
  `goods_id` int(11) NOT NULL,
  `custom_title` varchar(50) NOT NULL,
  `custom_content` varchar(200) NOT NULL,
  `front_show` tinyint(1) NOT NULL DEFAULT '2',
  `custom_key` tinyint(2) NOT NULL,
  PRIMARY KEY (`custom_id`),
  KEY `goods_id` (`goods_id`),
  KEY `front_show` (`front_show`),
  KEY `custom_key` (`custom_key`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='商品自定义表';

DROP TABLE IF EXISTS `loongdom_goods_evaluation`;
CREATE TABLE IF NOT EXISTS `loongdom_goods_evaluation` (
  `evaluation_id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `user_name` varchar(100) NOT NULL,
  `evaluation_body` varchar(2000) NOT NULL,
  `evaluation_star` tinyint(1) NOT NULL DEFAULT '0',
  `evaluation_time` int(10) NOT NULL,
  `evaluation_show_state` tinyint(1) NOT NULL DEFAULT '1',
  `add_evaluation_body` varchar(2000) DEFAULT NULL,
  `add_evaluation_time` int(10) DEFAULT NULL,
  `reply_body` varchar(2000) DEFAULT NULL,
  `reply_time` int(10) DEFAULT NULL,
  `reply_user` varchar(100) DEFAULT NULL,
  `goods_id` int(11) NOT NULL,
  `order_goods_id` int(11) NOT NULL,
  PRIMARY KEY (`evaluation_id`),
  KEY `user_id` (`user_id`),
  KEY `evaluation_time` (`evaluation_time`),
  KEY `goods_id` (`goods_id`),
  KEY `order_goods_id` (`order_goods_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='商品评价';

DROP TABLE IF EXISTS `loongdom_goods_evaluation_base`;
CREATE TABLE IF NOT EXISTS `loongdom_goods_evaluation_base` (
  `evaluation_base_id` int(11) NOT NULL AUTO_INCREMENT,
  `goods_id` int(11) NOT NULL,
  `evaluation_last_user` varchar(100) NOT NULL,
  `evaluation_last_time` int(10) NOT NULL,
  `evaluation_count` int(11) NOT NULL,
  PRIMARY KEY (`evaluation_base_id`),
  KEY `goods_id` (`goods_id`),
  KEY `evaluation_last_user` (`evaluation_last_user`),
  KEY `evaluation_last_time` (`evaluation_last_time`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='商品评价基本表';

DROP TABLE IF EXISTS `loongdom_goods_image`;
CREATE TABLE IF NOT EXISTS `loongdom_goods_image` (
  `goods_image_id` int(11) NOT NULL AUTO_INCREMENT,
  `goods_id` int(11) NOT NULL,
  `goods_thumbnail_image` varchar(500) NOT NULL,
  `goods_image` varchar(500) NOT NULL,
  `image_slide` tinyint(1) NOT NULL DEFAULT '0',
  `image_code` varchar(50) DEFAULT NULL,
  `image_sort` int(11) NOT NULL DEFAULT '255',
  PRIMARY KEY (`goods_image_id`),
  KEY `goods_id` (`goods_id`),
  KEY `image_slide` (`image_slide`),
  KEY `image_sort` (`image_sort`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='商品图片';

DROP TABLE IF EXISTS `loongdom_goods_in_class`;
CREATE TABLE IF NOT EXISTS `loongdom_goods_in_class` (
  `in_id` int(11) NOT NULL AUTO_INCREMENT,
  `goods_id` int(11) NOT NULL,
  `class_id` int(11) NOT NULL,
  `class_goods_sort` int(11) DEFAULT '255',
  `class_goods_recommend` tinyint(1) DEFAULT '0',
  PRIMARY KEY (`in_id`),
  KEY `goods_id` (`goods_id`),
  KEY `class_id` (`class_id`),
  KEY `class_goods_sort` (`class_goods_sort`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='商品所在分类（多分类）';

DROP TABLE IF EXISTS `loongdom_goods_in_spec_goods`;
CREATE TABLE IF NOT EXISTS `loongdom_goods_in_spec_goods` (
  `in_spec_goods_id` int(11) NOT NULL AUTO_INCREMENT,
  `spec_name` varchar(255) NOT NULL,
  `spec_goods_price` decimal(19,2) NOT NULL,
  `spec_goods_stock` decimal(15,2) NOT NULL DEFAULT '0.00',
  `spec_goods_item` varchar(50) DEFAULT NULL,
  `spec_goods_weight` int(11) DEFAULT '0',
  `goods_id` int(11) NOT NULL,
  `spec_key` tinyint(2) NOT NULL,
  PRIMARY KEY (`in_spec_goods_id`),
  KEY `spec_goods_price` (`spec_goods_price`,`goods_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4 COMMENT='规格商品';

DROP TABLE IF EXISTS `loongdom_goods_sales_record`;
CREATE TABLE IF NOT EXISTS `loongdom_goods_sales_record` (
  `sales_record_id` int(11) NOT NULL AUTO_INCREMENT,
  `goods_id` int(11) NOT NULL,
  `goods_sales_num` int(11) DEFAULT '0',
  PRIMARY KEY (`sales_record_id`),
  KEY `goods_id` (`goods_id`),
  KEY `goods_sales_num` (`goods_sales_num`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='商品销量';

DROP TABLE IF EXISTS `loongdom_goods_spec_tag`;
CREATE TABLE IF NOT EXISTS `loongdom_goods_spec_tag` (
  `spec_tag_id` int(11) NOT NULL AUTO_INCREMENT,
  `spec_tag_name` varchar(100) NOT NULL,
  `spec_tag_code` varchar(50) NOT NULL,
  `spec_tag_sort` int(11) NOT NULL DEFAULT '255',
  `template_code` varchar(50) NOT NULL,
  PRIMARY KEY (`spec_tag_id`),
  KEY `spec_tag_sort` (`spec_tag_sort`,`template_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='特定商品标签';

DROP TABLE IF EXISTS `loongdom_goods_spec_tag_goods`;
CREATE TABLE IF NOT EXISTS `loongdom_goods_spec_tag_goods` (
  `spec_tag_goods_id` int(11) NOT NULL AUTO_INCREMENT,
  `spec_tag_id` int(11) NOT NULL,
  `goods_id` int(11) NOT NULL,
  `spec_tag_goods_sort` int(11) NOT NULL DEFAULT '255',
  `spec_tag_code` varchar(50) NOT NULL,
  `template_code` varchar(50) NOT NULL,
  PRIMARY KEY (`spec_tag_goods_id`),
  KEY `spec_tag_id` (`spec_tag_id`,`goods_id`,`spec_tag_goods_sort`,`spec_tag_code`,`template_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='特定标签商品';

DROP TABLE IF EXISTS `loongdom_goods_stock`;
CREATE TABLE IF NOT EXISTS `loongdom_goods_stock` (
  `stock_id` int(11) NOT NULL AUTO_INCREMENT,
  `goods_id` int(11) NOT NULL,
  `stock_num` decimal(15,2) NOT NULL DEFAULT '1.00',
  `stock_show` varchar(30) DEFAULT NULL,
  `stock_show_state` tinyint(1) NOT NULL DEFAULT '1',
  `stock_out_set_num` int(11) NOT NULL DEFAULT '0',
  `stock_out_show` varchar(30) DEFAULT NULL,
  `cart_buy_min_num` int(11) NOT NULL DEFAULT '0',
  `cart_buy_max_num` int(11) NOT NULL DEFAULT '0',
  `person_buy_max` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`stock_id`),
  KEY `goods_id` (`goods_id`),
  KEY `stock_num` (`stock_num`),
  KEY `stock_out_set_num` (`stock_out_set_num`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='商品库存与购买设置表';

DROP TABLE IF EXISTS `loongdom_log`;
CREATE TABLE IF NOT EXISTS `loongdom_log` (
  `log_id` int(11) NOT NULL AUTO_INCREMENT,
  `log_oper_user` varchar(100) NOT NULL,
  `log_oper_user_group` varchar(100) NOT NULL,
  `log_time` int(10) NOT NULL,
  `log_ip` varchar(50) NOT NULL,
  `log_body` varchar(2000) DEFAULT NULL,
  PRIMARY KEY (`log_id`) USING BTREE,
  KEY `dberp_oper_log_index` (`log_oper_user`,`log_oper_user_group`,`log_time`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='操作记录';

DROP TABLE IF EXISTS `loongdom_navigation`;
CREATE TABLE IF NOT EXISTS `loongdom_navigation` (
  `navigation_id` int(11) NOT NULL AUTO_INCREMENT,
  `navigation_code` varchar(50) DEFAULT NULL,
  `navigation_title` varchar(200) NOT NULL,
  `navigation_url` varchar(500) DEFAULT NULL,
  `navigation_place` tinyint(1) NOT NULL,
  `goods_class_id` int(11) DEFAULT '0',
  `new_window` tinyint(1) DEFAULT '0',
  `navigation_sort` int(11) NOT NULL DEFAULT '255',
  PRIMARY KEY (`navigation_id`),
  KEY `navigation_place` (`navigation_place`),
  KEY `navigation_sort` (`navigation_sort`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='前台导航';

DROP TABLE IF EXISTS `loongdom_order`;
CREATE TABLE IF NOT EXISTS `loongdom_order` (
  `order_id` int(11) NOT NULL AUTO_INCREMENT,
  `order_sn` varchar(50) NOT NULL,
  `out_trade_no` varchar(50) DEFAULT NULL,
  `order_amount` decimal(19,2) NOT NULL DEFAULT '0.00',
  `goods_amount` decimal(19,2) NOT NULL DEFAULT '0.00',
  `order_status` tinyint(2) NOT NULL DEFAULT '10',
  `payment_type` varchar(30) NOT NULL,
  `payment_code` varchar(30) DEFAULT NULL,
  `payment_name` varchar(100) DEFAULT NULL,
  `payment_certification` varchar(500) DEFAULT NULL,
  `payment_finish_time` int(10) DEFAULT '0',
  `delivery_type` varchar(30) NOT NULL,
  `delivery_mode` tinyint(1) NOT NULL DEFAULT '0',
  `delivery_id` int(11) DEFAULT '0',
  `delivery_name` varchar(200) DEFAULT NULL,
  `express_number` varchar(50) DEFAULT NULL,
  `shipping_fee` decimal(19,2) DEFAULT '0.00',
  `express_time` int(10) DEFAULT '0',
  `order_weight_amount` int(11) DEFAULT '0',
  `order_return_type` tinyint(1) DEFAULT '0',
  `order_message` varchar(500) DEFAULT NULL,
  `user_id` int(11) NOT NULL,
  `user_name` varchar(100) NOT NULL,
  `order_add_time` int(10) NOT NULL,
  `order_finish_time` int(10) DEFAULT '0',
  `order_notes` varchar(500) DEFAULT NULL,
  PRIMARY KEY (`order_id`),
  KEY `order_sn` (`order_sn`),
  KEY `order_status` (`order_status`),
  KEY `payment_type` (`payment_type`),
  KEY `payment_code` (`payment_code`),
  KEY `payment_finish_time` (`payment_finish_time`),
  KEY `delivery_id` (`delivery_id`),
  KEY `user_name` (`user_name`),
  KEY `order_add_time` (`order_add_time`),
  KEY `order_finish_time` (`order_finish_time`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='订单表';

DROP TABLE IF EXISTS `loongdom_order_change_amount`;
CREATE TABLE IF NOT EXISTS `loongdom_order_change_amount` (
  `order_change_id` int(11) NOT NULL AUTO_INCREMENT,
  `order_amount` decimal(19,2) NOT NULL,
  `order_original_amount` decimal(19,2) NOT NULL,
  `order_change_type` varchar(1) NOT NULL,
  `order_change_num` decimal(19,2) NOT NULL,
  `order_change_time` int(10) NOT NULL,
  `operate_user` varchar(100) NOT NULL,
  `order_change_info` varchar(500) DEFAULT NULL,
  `order_id` int(11) NOT NULL,
  PRIMARY KEY (`order_change_id`),
  KEY `order_amount` (`order_amount`),
  KEY `order_original_amount` (`order_original_amount`),
  KEY `order_change_num` (`order_change_num`),
  KEY `order_change_time` (`order_change_time`),
  KEY `order_id` (`order_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='订单金额修改历史';

DROP TABLE IF EXISTS `loongdom_order_delivery_address`;
CREATE TABLE IF NOT EXISTS `loongdom_order_delivery_address` (
  `order_address_id` int(11) NOT NULL AUTO_INCREMENT,
  `true_name` varchar(100) NOT NULL,
  `region_value` varchar(255) NOT NULL,
  `address_info` varchar(500) NOT NULL,
  `post_code` varchar(20) DEFAULT NULL,
  `phone` varchar(30) NOT NULL,
  `delivery_time_info` varchar(300) DEFAULT NULL,
  `order_id` int(11) NOT NULL,
  PRIMARY KEY (`order_address_id`),
  KEY `order_id` (`order_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='订单收货地址';

DROP TABLE IF EXISTS `loongdom_order_discount_record`;
CREATE TABLE IF NOT EXISTS `loongdom_order_discount_record` (
  `record_id` int(11) NOT NULL AUTO_INCREMENT,
  `discount_cost` decimal(19,2) NOT NULL DEFAULT '0.00',
  `discount_type` varchar(30) NOT NULL,
  `discount_info` varchar(200) DEFAULT NULL,
  `order_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `id` int(11) NOT NULL,
  PRIMARY KEY (`record_id`),
  KEY `discount_type` (`discount_type`),
  KEY `order_id` (`order_id`),
  KEY `user_id` (`user_id`),
  KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='订单优惠记录信息';

DROP TABLE IF EXISTS `loongdom_order_goods`;
CREATE TABLE IF NOT EXISTS `loongdom_order_goods` (
  `order_goods_id` int(11) NOT NULL AUTO_INCREMENT,
  `order_id` int(11) NOT NULL,
  `goods_id` int(11) NOT NULL,
  `goods_name` varchar(200) NOT NULL,
  `goods_item` varchar(50) DEFAULT NULL,
  `goods_price` decimal(19,2) DEFAULT '0.00',
  `goods_image` varchar(300) DEFAULT NULL,
  `in_spec_name` varchar(100) DEFAULT NULL,
  `in_spec_goods_id` int(11) DEFAULT '0',
  `goods_type` tinyint(1) NOT NULL DEFAULT '1',
  `buy_num` decimal(15,2) NOT NULL DEFAULT '0.00',
  `goods_amount` decimal(19,2) NOT NULL,
  `goods_weight_amount` int(11) DEFAULT '0',
  `goods_status` tinyint(2) NOT NULL DEFAULT '0',
  `evaluation_status` tinyint(1) NOT NULL DEFAULT '0',
  `user_id` int(11) NOT NULL,
  PRIMARY KEY (`order_goods_id`),
  KEY `order_id` (`order_id`),
  KEY `goods_id` (`goods_id`),
  KEY `user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='订单商品表';

DROP TABLE IF EXISTS `loongdom_order_status`;
CREATE TABLE IF NOT EXISTS `loongdom_order_status` (
  `status_id` int(11) NOT NULL AUTO_INCREMENT,
  `order_status` tinyint(2) NOT NULL DEFAULT '0',
  `operate_user` varchar(100) NOT NULL,
  `order_id` int(11) NOT NULL,
  `status_info` varchar(255) DEFAULT NULL,
  `status_time` int(10) NOT NULL,
  PRIMARY KEY (`status_id`),
  KEY `order_status` (`order_status`),
  KEY `operate_user` (`operate_user`),
  KEY `order_id` (`order_id`),
  KEY `status_time` (`status_time`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='订单状态表';

DROP TABLE IF EXISTS `loongdom_plugin`;
CREATE TABLE IF NOT EXISTS `loongdom_plugin` (
  `plugin_id` int(11) NOT NULL AUTO_INCREMENT,
  `plugin_name` varchar(100) NOT NULL,
  `plugin_author` varchar(100) NOT NULL,
  `plugin_author_url` varchar(200) DEFAULT NULL,
  `plugin_info` text NOT NULL,
  `plugin_version` varchar(20) NOT NULL,
  `plugin_version_num` int(11) NOT NULL,
  `plugin_code` varchar(50) NOT NULL,
  `plugin_expired` int(10) DEFAULT '0',
  `plugin_state` tinyint(1) NOT NULL DEFAULT '0',
  `plugin_support_url` varchar(200) DEFAULT NULL,
  `plugin_admin_path` varchar(200) DEFAULT NULL,
  `plugin_update_time` date NOT NULL,
  PRIMARY KEY (`plugin_id`),
  KEY `plugin_version_num` (`plugin_version_num`),
  KEY `plugin_code` (`plugin_code`),
  KEY `plugin_state` (`plugin_state`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='插件表';

DROP TABLE IF EXISTS `loongdom_region`;
CREATE TABLE IF NOT EXISTS `loongdom_region` (
  `region_id` int(11) NOT NULL AUTO_INCREMENT,
  `region_name` varchar(50) NOT NULL,
  `region_top_id` int(11) NOT NULL DEFAULT '0',
  `region_sort` int(11) NOT NULL DEFAULT '255',
  `region_path` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`region_id`) USING BTREE,
  KEY `loongdom_region_index` (`region_name`,`region_sort`,`region_top_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='地区数据表';

DROP TABLE IF EXISTS `loongdom_single_cms`;
CREATE TABLE IF NOT EXISTS `loongdom_single_cms` (
  `single_cms_id` int(11) NOT NULL AUTO_INCREMENT,
  `single_cms_title` varchar(200) NOT NULL,
  `single_cms_body` longtext,
  `single_cms_extend_title` varchar(200) DEFAULT NULL,
  `single_cms_keywords` varchar(200) DEFAULT NULL,
  `single_cms_description` varchar(500) DEFAULT NULL,
  `single_cms_sort` int(11) NOT NULL DEFAULT '255',
  `single_tag` varchar(50) DEFAULT NULL,
  `template_code` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`single_cms_id`),
  KEY `single_cms_sort` (`single_cms_sort`),
  KEY `single_tag` (`single_tag`),
  KEY `template_code` (`template_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='单页文章表';

DROP TABLE IF EXISTS `loongdom_template`;
CREATE TABLE IF NOT EXISTS `loongdom_template` (
  `template_id` int(11) NOT NULL AUTO_INCREMENT,
  `template_name` varchar(50) NOT NULL,
  `template_code` varchar(50) NOT NULL,
  `template_language` varchar(200) DEFAULT NULL,
  `template_info` varchar(500) DEFAULT NULL,
  `template_version_number` bigint(12) NOT NULL,
  `template_type` varchar(15) NOT NULL,
  `template_adaptive` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`template_id`) USING BTREE,
  KEY `template_code` (`template_code`,`template_version_number`,`template_type`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='模板数据表';

DROP TABLE IF EXISTS `loongdom_user`;
CREATE TABLE IF NOT EXISTS `loongdom_user` (
  `user_id` int(11) NOT NULL AUTO_INCREMENT,
  `user_group_id` int(11) NOT NULL,
  `user_name` varchar(100) NOT NULL,
  `user_avatar` varchar(200) DEFAULT NULL,
  `user_password` varchar(72) DEFAULT NULL,
  `user_email` varchar(50) DEFAULT NULL,
  `user_sex` tinyint(1) DEFAULT '3',
  `user_phone` varchar(20) DEFAULT NULL,
  `user_status` tinyint(1) NOT NULL DEFAULT '1',
  `user_add_time` int(10) NOT NULL,
  PRIMARY KEY (`user_id`),
  KEY `user_group_id` (`user_group_id`),
  KEY `user_name` (`user_name`),
  KEY `user_email` (`user_email`),
  KEY `user_status` (`user_status`),
  KEY `user_add_time` (`user_add_time`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='客户表';

DROP TABLE IF EXISTS `loongdom_user_address`;
CREATE TABLE IF NOT EXISTS `loongdom_user_address` (
  `address_id` int(11) NOT NULL AUTO_INCREMENT,
  `true_name` varchar(100) NOT NULL,
  `region_id` int(11) NOT NULL,
  `region_value` varchar(255) NOT NULL,
  `address_info` varchar(500) NOT NULL,
  `post_code` varchar(20) DEFAULT NULL,
  `phone` varchar(30) NOT NULL,
  `addr_default` tinyint(1) DEFAULT '0',
  `user_id` int(11) NOT NULL,
  PRIMARY KEY (`address_id`),
  KEY `user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='收货地址';

DROP TABLE IF EXISTS `loongdom_user_goods_favorites`;
CREATE TABLE IF NOT EXISTS `loongdom_user_goods_favorites` (
  `goods_favorites_id` int(11) NOT NULL AUTO_INCREMENT,
  `goods_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `favorites_time` int(10) NOT NULL,
  PRIMARY KEY (`goods_favorites_id`),
  KEY `goods_id` (`goods_id`),
  KEY `user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='客户商品收藏表';

DROP TABLE IF EXISTS `loongdom_user_group`;
CREATE TABLE IF NOT EXISTS `loongdom_user_group` (
  `user_group_id` int(11) NOT NULL AUTO_INCREMENT,
  `user_group_name` varchar(100) NOT NULL,
  PRIMARY KEY (`user_group_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='客户组';

DROP TABLE IF EXISTS `loongdom_user_other_login`;
CREATE TABLE IF NOT EXISTS `loongdom_user_other_login` (
  `ol_id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `open_id` varchar(100) NOT NULL,
  `union_id` varchar(100) DEFAULT NULL,
  `ol_add_time` int(10) NOT NULL,
  `login_type` varchar(30) NOT NULL,
  PRIMARY KEY (`ol_id`),
  KEY `user_id` (`user_id`),
  KEY `login_type` (`login_type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='第三方登录表';
