<?php
/**
 * 珑大极简商城
 * 
 *  ==========================================================================
 *  @link      https://shop.loongdom.cn/
 *  @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 *  @license   https://shop.loongdom.cn/license.html License
 *  ==========================================================================
 * 
 * @author    静静的风
 */


namespace Operation\Entity;

use Admin\Entity\BaseEntity as BaseEntity;
use Doctrine\ORM\Mapping as ORM;

/**
 * 广告表
 *
 * @ORM\Entity(repositoryClass="Operation\Repository\AdRepository")
 * @ORM\Table(name="loongdom_ad")
 */
class Ad extends BaseEntity
{

    /**
     * 自增id
     *
     * @ORM\Id()
     * @ORM\Column(name="ad_id", type="integer", length=11)
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $adId;

    /**
     * 广告类型，如 index 首页
     *
     * @ORM\Column(name="ad_class", type="string", length=30)
     */
    private $adClass;

    /**
     * 广告位置标记
     *
     * @ORM\Column(name="ad_place_code", type="string", length=50)
     */
    private $adPlaceCode;

    /**
     * 广告类型，slide 幻灯片，image 图片
     *
     * @ORM\Column(name="ad_type", type="string", length=20)
     */
    private $adType;

    /**
     * 广告开始时间
     *
     * @ORM\Column(name="ad_start_time", type="integer", length=10)
     */
    private $adStartTime;

    /**
     * 广告结束时间
     *
     * @ORM\Column(name="ad_end_time", type="integer", length=10)
     */
    private $adEndTime;

    /**
     * 广告url
     *
     * @ORM\Column(name="ad_url", type="string", length=500)
     */
    private $adUrl;

    /**
     * 广告文字
     *
     * @ORM\Column(name="ad_words", type="string", length=200)
     */
    private $adWords;

    /**
     * 广告内容
     *
     * @ORM\Column(name="ad_body", type="string", length=500)
     */
    private $adBody;

    /**
     * 广告状态，0 禁用，1 启用
     *
     * @ORM\Column(name="ad_state", type="integer", length=1)
     */
    private $adState;

    /**
     * 模板标记
     *
     * @ORM\Column(name="template_code", type="string", length=50)
     */
    private $templateCode;

    /**
     * Get the value of 自增id
     *
     * @return mixed
     */
    public function getAdId()
    {
        return $this->adId;
    }

    /**
     * Set the value of 自增id
     *
     * @param mixed $adId
     */
    public function setAdId($adId) : void
    {
        $this->adId = $adId;
    }

    /**
     * Get the value of 广告类型，如 index 首页
     *
     * @return mixed
     */
    public function getAdClass()
    {
        return $this->adClass;
    }

    /**
     * Set the value of 广告类型，如 index 首页
     *
     * @param mixed $adClass
     */
    public function setAdClass($adClass) : void
    {
        $this->adClass = $adClass;
    }

    /**
     * Get the value of 广告位置标记
     *
     * @return mixed
     */
    public function getAdPlaceCode()
    {
        return $this->adPlaceCode;
    }

    /**
     * Set the value of 广告位置标记
     *
     * @param mixed $adPlaceCode
     */
    public function setAdPlaceCode($adPlaceCode) : void
    {
        $this->adPlaceCode = $adPlaceCode;
    }

    /**
     * Get the value of 广告类型，slide 幻灯片，image 图片
     *
     * @return mixed
     */
    public function getAdType()
    {
        return $this->adType;
    }

    /**
     * Set the value of 广告类型，slide 幻灯片，image 图片
     *
     * @param mixed $adType
     */
    public function setAdType($adType) : void
    {
        $this->adType = $adType;
    }

    /**
     * Get the value of 广告开始时间
     *
     * @return mixed
     */
    public function getAdStartTime()
    {
        return $this->adStartTime;
    }

    /**
     * Set the value of 广告开始时间
     *
     * @param mixed $adStartTime
     */
    public function setAdStartTime($adStartTime) : void
    {
        $this->adStartTime = $adStartTime;
    }

    /**
     * Get the value of 广告结束时间
     *
     * @return mixed
     */
    public function getAdEndTime()
    {
        return $this->adEndTime;
    }

    /**
     * Set the value of 广告结束时间
     *
     * @param mixed $adEndTime
     */
    public function setAdEndTime($adEndTime) : void
    {
        $this->adEndTime = $adEndTime;
    }

    /**
     * Get the value of 广告url
     *
     * @return mixed
     */
    public function getAdUrl()
    {
        return $this->adUrl;
    }

    /**
     * Set the value of 广告url
     *
     * @param mixed $adUrl
     */
    public function setAdUrl($adUrl) : void
    {
        $this->adUrl = $adUrl;
    }

    /**
     * Get the value of 广告文字
     *
     * @return mixed
     */
    public function getAdWords()
    {
        return $this->adWords;
    }

    /**
     * Set the value of 广告文字
     *
     * @param mixed $adWords
     */
    public function setAdWords($adWords) : void
    {
        $this->adWords = $adWords;
    }

    /**
     * Get the value of 广告内容
     *
     * @return mixed
     */
    public function getAdBody()
    {
        return $this->adBody;
    }

    /**
     * Set the value of 广告内容
     *
     * @param mixed $adBody
     */
    public function setAdBody($adBody) : void
    {
        $this->adBody = $adBody;
    }

    /**
     * Get the value of 广告状态，0 禁用，1 启用
     *
     * @return mixed
     */
    public function getAdState()
    {
        return $this->adState;
    }

    /**
     * Set the value of 广告状态，0 禁用，1 启用
     *
     * @param mixed $adState
     */
    public function setAdState($adState) : void
    {
        $this->adState = $adState;
    }

    /**
     * Get the value of 模板标记
     *
     * @return mixed
     */
    public function getTemplateCode()
    {
        return $this->templateCode;
    }

    /**
     * Set the value of 模板标记
     *
     * @param mixed $templateCode
     */
    public function setTemplateCode($templateCode) : void
    {
        $this->templateCode = $templateCode;
    }


}

