<?php
/**
 * 珑大极简商城
 * 
 *  ==========================================================================
 *  @link      https://shop.loongdom.cn/
 *  @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 *  @license   https://shop.loongdom.cn/license.html License
 *  ==========================================================================
 * 
 * @author    静静的风
 */


namespace Operation\Entity;

use Admin\Entity\BaseEntity as BaseEntity;
use Doctrine\ORM\Mapping as ORM;

/**
 * 广告幻灯片
 *
 * @ORM\Entity(repositoryClass="Operation\Repository\AdSlideRepository")
 * @ORM\Table(name="loongdom_ad_slide")
 */
class AdSlide extends BaseEntity
{

    /**
     * 自增id
     *
     * @ORM\Id()
     * @ORM\Column(name="ad_slide_id", type="integer", length=11)
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $adSlideId;

    /**
     * 对应的广告id
     *
     * @ORM\Column(name="ad_id", type="integer", length=11)
     */
    private $adId;

    /**
     * 图片
     *
     * @ORM\Column(name="ad_slide_image", type="string", length=300)
     */
    private $adSlideImage;

    /**
     * 幻灯片排序，默认 255
     *
     * @ORM\Column(name="ad_slide_sort", type="integer", length=11)
     */
    private $adSlideSort;

    /**
     * url
     *
     * @ORM\Column(name="ad_slide_url", type="string", length=500)
     */
    private $adSlideUrl;

    /**
     * 广告文字
     *
     * @ORM\Column(name="ad_words", type="string", length=200)
     */
    private $adWords;

    /**
     * Get the value of 自增id
     *
     * @return mixed
     */
    public function getAdSlideId()
    {
        return $this->adSlideId;
    }

    /**
     * Set the value of 自增id
     *
     * @param mixed $adSlideId
     */
    public function setAdSlideId($adSlideId) : void
    {
        $this->adSlideId = $adSlideId;
    }

    /**
     * Get the value of 对应的广告id
     *
     * @return mixed
     */
    public function getAdId()
    {
        return $this->adId;
    }

    /**
     * Set the value of 对应的广告id
     *
     * @param mixed $adId
     */
    public function setAdId($adId) : void
    {
        $this->adId = $adId;
    }

    /**
     * Get the value of 图片
     *
     * @return mixed
     */
    public function getAdSlideImage()
    {
        return $this->adSlideImage;
    }

    /**
     * Set the value of 图片
     *
     * @param mixed $adSlideImage
     */
    public function setAdSlideImage($adSlideImage) : void
    {
        $this->adSlideImage = $adSlideImage;
    }

    /**
     * Get the value of 幻灯片排序，默认 255
     *
     * @return mixed
     */
    public function getAdSlideSort()
    {
        return $this->adSlideSort;
    }

    /**
     * Set the value of 幻灯片排序，默认 255
     *
     * @param mixed $adSlideSort
     */
    public function setAdSlideSort($adSlideSort) : void
    {
        $this->adSlideSort = $adSlideSort;
    }

    /**
     * Get the value of url
     *
     * @return mixed
     */
    public function getAdSlideUrl()
    {
        return $this->adSlideUrl;
    }

    /**
     * Set the value of url
     *
     * @param mixed $adSlideUrl
     */
    public function setAdSlideUrl($adSlideUrl) : void
    {
        $this->adSlideUrl = $adSlideUrl;
    }

    /**
     * Get the value of 广告文字
     *
     * @return mixed
     */
    public function getAdWords()
    {
        return $this->adWords;
    }

    /**
     * Set the value of 广告文字
     *
     * @param mixed $adWords
     */
    public function setAdWords($adWords) : void
    {
        $this->adWords = $adWords;
    }


}

