<?php
/**
 * 珑大极简商城
 * 
 *  ==========================================================================
 *  @link      https://shop.loongdom.cn/
 *  @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 *  @license   https://shop.loongdom.cn/license.html License
 *  ==========================================================================
 * 
 * @author    静静的风
 */


namespace Sales\Entity;

use Admin\Entity\BaseEntity as BaseEntity;
use Doctrine\ORM\Mapping as ORM;

/**
 * 订单金额修改历史
 *
 * @ORM\Entity(repositoryClass="Sales\Repository\OrderChangeAmountRepository")
 * @ORM\Table(name="loongdom_order_change_amount")
 */
class OrderChangeAmount extends BaseEntity
{

    /**
     * 自增id
     *
     * @ORM\Id()
     * @ORM\Column(name="order_change_id", type="integer", length=11)
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $orderChangeId;

    /**
     * 修改前的订单金额
     *
     * @ORM\Column(name="order_amount", type="decimal", scale=2)
     */
    private $orderAmount;

    /**
     * 修改后的订单金额
     *
     * @ORM\Column(name="order_original_amount", type="decimal", scale=2)
     */
    private $orderOriginalAmount;

    /**
     * 修改类型，+ 增加，- 减少
     *
     * @ORM\Column(name="order_change_type", type="string", length=1)
     */
    private $orderChangeType;

    /**
     * 修改金额
     *
     * @ORM\Column(name="order_change_num", type="decimal", scale=2)
     */
    private $orderChangeNum;

    /**
     * 操作时间
     *
     * @ORM\Column(name="order_change_time", type="integer", length=10)
     */
    private $orderChangeTime;

    /**
     * 操作者
     *
     * @ORM\Column(name="operate_user", type="string", length=100)
     */
    private $operateUser;

    /**
     * 金额修改备注
     *
     * @ORM\Column(name="order_change_info", type="string", length=500)
     */
    private $orderChangeInfo;

    /**
     * 订单id
     *
     * @ORM\Column(name="order_id", type="integer", length=11)
     */
    private $orderId;

    /**
     * Get the value of 自增id
     *
     * @return mixed
     */
    public function getOrderChangeId()
    {
        return $this->orderChangeId;
    }

    /**
     * Set the value of 自增id
     *
     * @param mixed $orderChangeId
     */
    public function setOrderChangeId($orderChangeId) : void
    {
        $this->orderChangeId = $orderChangeId;
    }

    /**
     * Get the value of 修改前的订单金额
     *
     * @return mixed
     */
    public function getOrderAmount()
    {
        return $this->orderAmount;
    }

    /**
     * Set the value of 修改前的订单金额
     *
     * @param mixed $orderAmount
     */
    public function setOrderAmount($orderAmount) : void
    {
        $this->orderAmount = $orderAmount;
    }

    /**
     * Get the value of 修改后的订单金额
     *
     * @return mixed
     */
    public function getOrderOriginalAmount()
    {
        return $this->orderOriginalAmount;
    }

    /**
     * Set the value of 修改后的订单金额
     *
     * @param mixed $orderOriginalAmount
     */
    public function setOrderOriginalAmount($orderOriginalAmount) : void
    {
        $this->orderOriginalAmount = $orderOriginalAmount;
    }

    /**
     * Get the value of 修改类型，+ 增加，- 减少
     *
     * @return mixed
     */
    public function getOrderChangeType()
    {
        return $this->orderChangeType;
    }

    /**
     * Set the value of 修改类型，+ 增加，- 减少
     *
     * @param mixed $orderChangeType
     */
    public function setOrderChangeType($orderChangeType) : void
    {
        $this->orderChangeType = $orderChangeType;
    }

    /**
     * Get the value of 修改金额
     *
     * @return mixed
     */
    public function getOrderChangeNum()
    {
        return $this->orderChangeNum;
    }

    /**
     * Set the value of 修改金额
     *
     * @param mixed $orderChangeNum
     */
    public function setOrderChangeNum($orderChangeNum) : void
    {
        $this->orderChangeNum = $orderChangeNum;
    }

    /**
     * Get the value of 操作时间
     *
     * @return mixed
     */
    public function getOrderChangeTime()
    {
        return $this->orderChangeTime;
    }

    /**
     * Set the value of 操作时间
     *
     * @param mixed $orderChangeTime
     */
    public function setOrderChangeTime($orderChangeTime) : void
    {
        $this->orderChangeTime = $orderChangeTime;
    }

    /**
     * Get the value of 操作者
     *
     * @return mixed
     */
    public function getOperateUser()
    {
        return $this->operateUser;
    }

    /**
     * Set the value of 操作者
     *
     * @param mixed $operateUser
     */
    public function setOperateUser($operateUser) : void
    {
        $this->operateUser = $operateUser;
    }

    /**
     * Get the value of 金额修改备注
     *
     * @return mixed
     */
    public function getOrderChangeInfo()
    {
        return $this->orderChangeInfo;
    }

    /**
     * Set the value of 金额修改备注
     *
     * @param mixed $orderChangeInfo
     */
    public function setOrderChangeInfo($orderChangeInfo) : void
    {
        $this->orderChangeInfo = $orderChangeInfo;
    }

    /**
     * Get the value of 订单id
     *
     * @return mixed
     */
    public function getOrderId()
    {
        return $this->orderId;
    }

    /**
     * Set the value of 订单id
     *
     * @param mixed $orderId
     */
    public function setOrderId($orderId) : void
    {
        $this->orderId = $orderId;
    }


}

