<?php
/**
 * 珑大极简商城
 * 
 *  ==========================================================================
 *  @link      https://shop.loongdom.cn/
 *  @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 *  @license   https://shop.loongdom.cn/license.html License
 *  ==========================================================================
 * 
 * @author    静静的风
 */


namespace Sales\Entity;

use Admin\Entity\BaseEntity as BaseEntity;
use Doctrine\ORM\Mapping as ORM;

/**
 * 订单收货地址
 *
 * @ORM\Entity(repositoryClass="Sales\Repository\OrderDeliveryAddressRepository")
 * @ORM\Table(name="loongdom_order_delivery_address")
 */
class OrderDeliveryAddress extends BaseEntity
{

    /**
     * 自增id
     *
     * @ORM\Id()
     * @ORM\Column(name="order_address_id", type="integer", length=11)
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $orderAddressId;

    /**
     * 收货人姓名
     *
     * @ORM\Column(name="true_name", type="string", length=100)
     */
    private $trueName;

    /**
     * 地区
     *
     * @ORM\Column(name="region_value", type="string", length=255)
     */
    private $regionValue;

    /**
     * 详细地址
     *
     * @ORM\Column(name="address_info", type="string", length=500)
     */
    private $addressInfo;

    /**
     * 邮政编码
     *
     * @ORM\Column(name="post_code", type="string", length=20)
     */
    private $postCode;

    /**
     * 电话号码
     *
     * @ORM\Column(name="phone", type="string", length=30)
     */
    private $phone;

    /**
     * 送货时间
     *
     * @ORM\Column(name="delivery_time_info", type="string", length=300)
     */
    private $deliveryTimeInfo;

    /**
     * 订单id
     *
     * @ORM\Column(name="order_id", type="integer", length=11)
     */
    private $orderId;

    /**
     * Get the value of 自增id
     *
     * @return mixed
     */
    public function getOrderAddressId()
    {
        return $this->orderAddressId;
    }

    /**
     * Set the value of 自增id
     *
     * @param mixed $orderAddressId
     */
    public function setOrderAddressId($orderAddressId) : void
    {
        $this->orderAddressId = $orderAddressId;
    }

    /**
     * Get the value of 收货人姓名
     *
     * @return mixed
     */
    public function getTrueName()
    {
        return $this->trueName;
    }

    /**
     * Set the value of 收货人姓名
     *
     * @param mixed $trueName
     */
    public function setTrueName($trueName) : void
    {
        $this->trueName = $trueName;
    }

    /**
     * Get the value of 地区
     *
     * @return mixed
     */
    public function getRegionValue()
    {
        return $this->regionValue;
    }

    /**
     * Set the value of 地区
     *
     * @param mixed $regionValue
     */
    public function setRegionValue($regionValue) : void
    {
        $this->regionValue = $regionValue;
    }

    /**
     * Get the value of 详细地址
     *
     * @return mixed
     */
    public function getAddressInfo()
    {
        return $this->addressInfo;
    }

    /**
     * Set the value of 详细地址
     *
     * @param mixed $addressInfo
     */
    public function setAddressInfo($addressInfo) : void
    {
        $this->addressInfo = $addressInfo;
    }

    /**
     * Get the value of 邮政编码
     *
     * @return mixed
     */
    public function getPostCode()
    {
        return $this->postCode;
    }

    /**
     * Set the value of 邮政编码
     *
     * @param mixed $postCode
     */
    public function setPostCode($postCode) : void
    {
        $this->postCode = $postCode;
    }

    /**
     * Get the value of 电话号码
     *
     * @return mixed
     */
    public function getPhone()
    {
        return $this->phone;
    }

    /**
     * Set the value of 电话号码
     *
     * @param mixed $phone
     */
    public function setPhone($phone) : void
    {
        $this->phone = $phone;
    }

    /**
     * Get the value of 送货时间
     *
     * @return mixed
     */
    public function getDeliveryTimeInfo()
    {
        return $this->deliveryTimeInfo;
    }

    /**
     * Set the value of 送货时间
     *
     * @param mixed $deliveryTimeInfo
     */
    public function setDeliveryTimeInfo($deliveryTimeInfo) : void
    {
        $this->deliveryTimeInfo = $deliveryTimeInfo;
    }

    /**
     * Get the value of 订单id
     *
     * @return mixed
     */
    public function getOrderId()
    {
        return $this->orderId;
    }

    /**
     * Set the value of 订单id
     *
     * @param mixed $orderId
     */
    public function setOrderId($orderId) : void
    {
        $this->orderId = $orderId;
    }


}

