<?php
/**
 * 珑大极简商城
 * 
 *  ==========================================================================
 *  @link      https://shop.loongdom.cn/
 *  @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 *  @license   https://shop.loongdom.cn/license.html License
 *  ==========================================================================
 * 
 * @author    静静的风
 */


namespace Sales\Entity;

use Admin\Entity\BaseEntity as BaseEntity;
use Doctrine\ORM\Mapping as ORM;

/**
 * 订单状态表
 *
 * @ORM\Entity(repositoryClass="Sales\Repository\OrderStatusRepository")
 * @ORM\Table(name="loongdom_order_status")
 */
class OrderStatus extends BaseEntity
{

    /**
     * 自增id
     *
     * @ORM\Id()
     * @ORM\Column(name="status_id", type="integer", length=11)
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $statusId;

    /**
     * 订单状态
     *
     * @ORM\Column(name="order_status", type="integer", length=2)
     */
    private $orderStatus;

    /**
     * 操作者
     *
     * @ORM\Column(name="operate_user", type="string", length=100)
     */
    private $operateUser;

    /**
     * 订单Id
     *
     * @ORM\Column(name="order_id", type="integer", length=11)
     */
    private $orderId;

    /**
     * 状态备注
     *
     * @ORM\Column(name="status_info", type="string", length=255)
     */
    private $statusInfo;

    /**
     * 时间
     *
     * @ORM\Column(name="status_time", type="integer", length=10)
     */
    private $statusTime;

    /**
     * Get the value of 自增id
     *
     * @return mixed
     */
    public function getStatusId()
    {
        return $this->statusId;
    }

    /**
     * Set the value of 自增id
     *
     * @param mixed $statusId
     */
    public function setStatusId($statusId) : void
    {
        $this->statusId = $statusId;
    }

    /**
     * Get the value of 订单状态
     *
     * @return mixed
     */
    public function getOrderStatus()
    {
        return $this->orderStatus;
    }

    /**
     * Set the value of 订单状态
     *
     * @param mixed $orderStatus
     */
    public function setOrderStatus($orderStatus) : void
    {
        $this->orderStatus = $orderStatus;
    }

    /**
     * Get the value of 操作者
     *
     * @return mixed
     */
    public function getOperateUser()
    {
        return $this->operateUser;
    }

    /**
     * Set the value of 操作者
     *
     * @param mixed $operateUser
     */
    public function setOperateUser($operateUser) : void
    {
        $this->operateUser = $operateUser;
    }

    /**
     * Get the value of 订单Id
     *
     * @return mixed
     */
    public function getOrderId()
    {
        return $this->orderId;
    }

    /**
     * Set the value of 订单Id
     *
     * @param mixed $orderId
     */
    public function setOrderId($orderId) : void
    {
        $this->orderId = $orderId;
    }

    /**
     * Get the value of 状态备注
     *
     * @return mixed
     */
    public function getStatusInfo()
    {
        return $this->statusInfo;
    }

    /**
     * Set the value of 状态备注
     *
     * @param mixed $statusInfo
     */
    public function setStatusInfo($statusInfo) : void
    {
        $this->statusInfo = $statusInfo;
    }

    /**
     * Get the value of 时间
     *
     * @return mixed
     */
    public function getStatusTime()
    {
        return $this->statusTime;
    }

    /**
     * Set the value of 时间
     *
     * @param mixed $statusTime
     */
    public function setStatusTime($statusTime) : void
    {
        $this->statusTime = $statusTime;
    }


}

