<?php
/**
 * 珑大极简商城
 * 
 *  ==========================================================================
 *  @link      https://shop.loongdom.cn/
 *  @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 *  @license   https://shop.loongdom.cn/license.html License
 *  ==========================================================================
 * 
 * @author    静静的风
 */


namespace User\Entity;

use Admin\Entity\BaseEntity as BaseEntity;
use Doctrine\ORM\Mapping as ORM;

/**
 * 购物车
 *
 * @ORM\Entity(repositoryClass="User\Repository\CartRepository")
 * @ORM\Table(name="loongdom_cart")
 */
class Cart extends BaseEntity
{

    /**
     * 自增id
     *
     * @ORM\Id()
     * @ORM\Column(name="cart_id", type="integer", length=11)
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $cartId;

    /**
     * 客户id
     *
     * @ORM\Column(name="user_id", type="integer", length=11)
     */
    private $userId;

    /**
     * 商品id
     *
     * @ORM\Column(name="goods_id", type="integer", length=11)
     */
    private $goodsId;

    /**
     * 规格商品id
     *
     * @ORM\Column(name="in_spec_goods_id", type="integer", length=11)
     */
    private $inSpecGoodsId;

    /**
     * 购买数量
     *
     * @ORM\Column(name="buy_num", type="decimal", scale=2)
     */
    private $buyNum;

    /**
     * 添加时间
     *
     * @ORM\Column(name="add_time", type="integer", length=10)
     */
    private $addTime;

    /**
     * Get the value of 自增id
     *
     * @return mixed
     */
    public function getCartId()
    {
        return $this->cartId;
    }

    /**
     * Set the value of 自增id
     *
     * @param mixed $cartId
     */
    public function setCartId($cartId) : void
    {
        $this->cartId = $cartId;
    }

    /**
     * Get the value of 客户id
     *
     * @return mixed
     */
    public function getUserId()
    {
        return $this->userId;
    }

    /**
     * Set the value of 客户id
     *
     * @param mixed $userId
     */
    public function setUserId($userId) : void
    {
        $this->userId = $userId;
    }

    /**
     * Get the value of 商品id
     *
     * @return mixed
     */
    public function getGoodsId()
    {
        return $this->goodsId;
    }

    /**
     * Set the value of 商品id
     *
     * @param mixed $goodsId
     */
    public function setGoodsId($goodsId) : void
    {
        $this->goodsId = $goodsId;
    }

    /**
     * Get the value of 规格商品id
     *
     * @return mixed
     */
    public function getInSpecGoodsId()
    {
        return $this->inSpecGoodsId;
    }

    /**
     * Set the value of 规格商品id
     *
     * @param mixed $inSpecGoodsId
     */
    public function setInSpecGoodsId($inSpecGoodsId) : void
    {
        $this->inSpecGoodsId = $inSpecGoodsId;
    }

    /**
     * Get the value of 购买数量
     *
     * @return mixed
     */
    public function getBuyNum()
    {
        return $this->buyNum;
    }

    /**
     * Set the value of 购买数量
     *
     * @param mixed $buyNum
     */
    public function setBuyNum($buyNum) : void
    {
        $this->buyNum = $buyNum;
    }

    /**
     * Get the value of 添加时间
     *
     * @return mixed
     */
    public function getAddTime()
    {
        return $this->addTime;
    }

    /**
     * Set the value of 添加时间
     *
     * @param mixed $addTime
     */
    public function setAddTime($addTime) : void
    {
        $this->addTime = $addTime;
    }


}

