<?php
/**
 * 珑大极简商城
 * 
 *  ==========================================================================
 *  @link      https://shop.loongdom.cn/
 *  @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 *  @license   https://shop.loongdom.cn/license.html License
 *  ==========================================================================
 * 
 * @author    静静的风
 */


namespace User\Entity;

use Admin\Entity\BaseEntity as BaseEntity;
use Doctrine\ORM\Mapping as ORM;

/**
 * 收货地址
 *
 * @ORM\Entity(repositoryClass="User\Repository\UserAddressRepository")
 * @ORM\Table(name="loongdom_user_address")
 */
class UserAddress extends BaseEntity
{

    /**
     * 自增id
     *
     * @ORM\Id()
     * @ORM\Column(name="address_id", type="integer", length=11)
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $addressId;

    /**
     * 收货人
     *
     * @ORM\Column(name="true_name", type="string", length=100)
     */
    private $trueName;

    /**
     * 地区id
     *
     * @ORM\Column(name="region_id", type="integer", length=11)
     */
    private $regionId;

    /**
     * 地区名称
     *
     * @ORM\Column(name="region_value", type="string", length=255)
     */
    private $regionValue;

    /**
     * 详细地址
     *
     * @ORM\Column(name="address_info", type="string", length=500)
     */
    private $addressInfo;

    /**
     * 邮政编码
     *
     * @ORM\Column(name="post_code", type="string", length=20)
     */
    private $postCode;

    /**
     * 手机号码
     *
     * @ORM\Column(name="phone", type="string", length=30)
     */
    private $phone;

    /**
     * 是否默认地址 0 否，1 是
     *
     * @ORM\Column(name="addr_default", type="integer", length=1)
     */
    private $addrDefault;

    /**
     * 客户id
     *
     * @ORM\Column(name="user_id", type="integer", length=11)
     */
    private $userId;

    /**
     * Get the value of 自增id
     *
     * @return mixed
     */
    public function getAddressId()
    {
        return $this->addressId;
    }

    /**
     * Set the value of 自增id
     *
     * @param mixed $addressId
     */
    public function setAddressId($addressId) : void
    {
        $this->addressId = $addressId;
    }

    /**
     * Get the value of 收货人
     *
     * @return mixed
     */
    public function getTrueName()
    {
        return $this->trueName;
    }

    /**
     * Set the value of 收货人
     *
     * @param mixed $trueName
     */
    public function setTrueName($trueName) : void
    {
        $this->trueName = $trueName;
    }

    /**
     * Get the value of 地区id
     *
     * @return mixed
     */
    public function getRegionId()
    {
        return $this->regionId;
    }

    /**
     * Set the value of 地区id
     *
     * @param mixed $regionId
     */
    public function setRegionId($regionId) : void
    {
        $this->regionId = $regionId;
    }

    /**
     * Get the value of 地区名称
     *
     * @return mixed
     */
    public function getRegionValue()
    {
        return $this->regionValue;
    }

    /**
     * Set the value of 地区名称
     *
     * @param mixed $regionValue
     */
    public function setRegionValue($regionValue) : void
    {
        $this->regionValue = $regionValue;
    }

    /**
     * Get the value of 详细地址
     *
     * @return mixed
     */
    public function getAddressInfo()
    {
        return $this->addressInfo;
    }

    /**
     * Set the value of 详细地址
     *
     * @param mixed $addressInfo
     */
    public function setAddressInfo($addressInfo) : void
    {
        $this->addressInfo = $addressInfo;
    }

    /**
     * Get the value of 邮政编码
     *
     * @return mixed
     */
    public function getPostCode()
    {
        return $this->postCode;
    }

    /**
     * Set the value of 邮政编码
     *
     * @param mixed $postCode
     */
    public function setPostCode($postCode) : void
    {
        $this->postCode = $postCode;
    }

    /**
     * Get the value of 手机号码
     *
     * @return mixed
     */
    public function getPhone()
    {
        return $this->phone;
    }

    /**
     * Set the value of 手机号码
     *
     * @param mixed $phone
     */
    public function setPhone($phone) : void
    {
        $this->phone = $phone;
    }

    /**
     * Get the value of 是否默认地址 0 否，1 是
     *
     * @return mixed
     */
    public function getAddrDefault()
    {
        return $this->addrDefault;
    }

    /**
     * Set the value of 是否默认地址 0 否，1 是
     *
     * @param mixed $addrDefault
     */
    public function setAddrDefault($addrDefault) : void
    {
        $this->addrDefault = $addrDefault;
    }

    /**
     * Get the value of 客户id
     *
     * @return mixed
     */
    public function getUserId()
    {
        return $this->userId;
    }

    /**
     * Set the value of 客户id
     *
     * @param mixed $userId
     */
    public function setUserId($userId) : void
    {
        $this->userId = $userId;
    }


}

