<?php
/**
 * 珑大极简商城
 * 
 *  ==========================================================================
 *  @link      https://shop.loongdom.cn/
 *  @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 *  @license   https://shop.loongdom.cn/license.html License
 *  ==========================================================================
 * 
 * @author    静静的风
 */


namespace User\Entity;

use Admin\Entity\BaseEntity as BaseEntity;
use Doctrine\ORM\Mapping as ORM;

/**
 * 客户商品收藏表
 *
 * @ORM\Entity(repositoryClass="User\Repository\UserGoodsFavoritesRepository")
 * @ORM\Table(name="loongdom_user_goods_favorites")
 */
class UserGoodsFavorites extends BaseEntity
{

    /**
     * 自增id
     *
     * @ORM\Id()
     * @ORM\Column(name="goods_favorites_id", type="integer", length=11)
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $goodsFavoritesId;

    /**
     * 商品id
     *
     * @ORM\Column(name="goods_id", type="integer", length=11)
     */
    private $goodsId;

    /**
     * 客户id
     *
     * @ORM\Column(name="user_id", type="integer", length=11)
     */
    private $userId;

    /**
     * 添加时间
     *
     * @ORM\Column(name="favorites_time", type="integer", length=10)
     */
    private $favoritesTime;

    /**
     * Get the value of 自增id
     *
     * @return mixed
     */
    public function getGoodsFavoritesId()
    {
        return $this->goodsFavoritesId;
    }

    /**
     * Set the value of 自增id
     *
     * @param mixed $goodsFavoritesId
     */
    public function setGoodsFavoritesId($goodsFavoritesId) : void
    {
        $this->goodsFavoritesId = $goodsFavoritesId;
    }

    /**
     * Get the value of 商品id
     *
     * @return mixed
     */
    public function getGoodsId()
    {
        return $this->goodsId;
    }

    /**
     * Set the value of 商品id
     *
     * @param mixed $goodsId
     */
    public function setGoodsId($goodsId) : void
    {
        $this->goodsId = $goodsId;
    }

    /**
     * Get the value of 客户id
     *
     * @return mixed
     */
    public function getUserId()
    {
        return $this->userId;
    }

    /**
     * Set the value of 客户id
     *
     * @param mixed $userId
     */
    public function setUserId($userId) : void
    {
        $this->userId = $userId;
    }

    /**
     * Get the value of 添加时间
     *
     * @return mixed
     */
    public function getFavoritesTime()
    {
        return $this->favoritesTime;
    }

    /**
     * Set the value of 添加时间
     *
     * @param mixed $favoritesTime
     */
    public function setFavoritesTime($favoritesTime) : void
    {
        $this->favoritesTime = $favoritesTime;
    }


}

