<?php
/**
 * 珑大极简商城
 * 
 *  ==========================================================================
 *  @link      https://shop.loongdom.cn/
 *  @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 *  @license   https://shop.loongdom.cn/license.html License
 *  ==========================================================================
 * 
 * @author    静静的风
 */


namespace User\Entity;

use Admin\Entity\BaseEntity as BaseEntity;
use Doctrine\ORM\Mapping as ORM;

/**
 * 第三方登录表
 *
 * @ORM\Entity(repositoryClass="User\Repository\UserOtherLoginRepository")
 * @ORM\Table(name="loongdom_user_other_login")
 */
class UserOtherLogin extends BaseEntity
{

    /**
     * 自增id
     *
     * @ORM\Id()
     * @ORM\Column(name="ol_id", type="integer", length=11)
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $olId;

    /**
     * 会员id
     *
     * @ORM\Column(name="user_id", type="integer", length=11)
     */
    private $userId;

    /**
     * openId
     *
     * @ORM\Column(name="open_id", type="string", length=100)
     */
    private $openId;

    /**
     * uniodId
     *
     * @ORM\Column(name="union_id", type="string", length=100)
     */
    private $unionId;

    /**
     * 添加时间
     *
     * @ORM\Column(name="ol_add_time", type="integer", length=10)
     */
    private $olAddTime;

    /**
     * 第三方类型
     *
     * @ORM\Column(name="login_type", type="string", length=30)
     */
    private $loginType;

    /**
     * Get the value of 自增id
     *
     * @return mixed
     */
    public function getOlId()
    {
        return $this->olId;
    }

    /**
     * Set the value of 自增id
     *
     * @param mixed $olId
     */
    public function setOlId($olId) : void
    {
        $this->olId = $olId;
    }

    /**
     * Get the value of 会员id
     *
     * @return mixed
     */
    public function getUserId()
    {
        return $this->userId;
    }

    /**
     * Set the value of 会员id
     *
     * @param mixed $userId
     */
    public function setUserId($userId) : void
    {
        $this->userId = $userId;
    }

    /**
     * Get the value of openId
     *
     * @return mixed
     */
    public function getOpenId()
    {
        return $this->openId;
    }

    /**
     * Set the value of openId
     *
     * @param mixed $openId
     */
    public function setOpenId($openId) : void
    {
        $this->openId = $openId;
    }

    /**
     * Get the value of uniodId
     *
     * @return mixed
     */
    public function getUnionId()
    {
        return $this->unionId;
    }

    /**
     * Set the value of uniodId
     *
     * @param mixed $unionId
     */
    public function setUnionId($unionId) : void
    {
        $this->unionId = $unionId;
    }

    /**
     * Get the value of 添加时间
     *
     * @return mixed
     */
    public function getOlAddTime()
    {
        return $this->olAddTime;
    }

    /**
     * Set the value of 添加时间
     *
     * @param mixed $olAddTime
     */
    public function setOlAddTime($olAddTime) : void
    {
        $this->olAddTime = $olAddTime;
    }

    /**
     * Get the value of 第三方类型
     *
     * @return mixed
     */
    public function getLoginType()
    {
        return $this->loginType;
    }

    /**
     * Set the value of 第三方类型
     *
     * @param mixed $loginType
     */
    public function setLoginType($loginType) : void
    {
        $this->loginType = $loginType;
    }


}

